<?php
	ob_start();
	header('Content-Type: text/javascript');
    chdir("../");
    require_once("_core/kernel.php");
    $kernel = new kernel();
    $host = str_replace("_js",null,$kernel->host());
	if (isset($_GET['favorites'])) {
?>
	//Scripted by Wojciech Krol
	var inter;
	function fav(itemID,tag) {
		$.get('<?php echo $host; ?>/favorites.php?do',{mf:itemID},function(x) {
			message(x);
			checkFav(itemID,tag);
		});
	}
	function checkFav(itemID,tag) {
		$.get('<?php echo $host; ?>/favorites.php?do',{check:itemID},function (y) {
				if(y == 1) {
					$(tag).text("<?=$kernel->lang['tools']['fav.delete']?>").attr("class","del_fav");
				}
				else {
					$(tag).text("<?=$kernel->lang['tools']['fav.add']?>").attr("class","add_fav");
				}
		});
	}
<?php
	}
	elseif (isset($_GET['vote'])) {
?>
	//Scripted by Wojciech Krol & Pawel Klockiewicz
	function checkRateColor(proc, what) {
		if(proc.indexOf('%') !== -1)
		{
			proc = parseInt(proc.replace("%", ""));
			if(proc == '?') color = '#FFF';
			else if(proc > 50) color = '#06f000';
			else if(proc >= 30 && proc <= 50) color = '#f3c81a';
			else color = '#f35118';
			$(what).css({'color':color});
		}
	}
	var postID;
	var voteDownScript='<?php echo $host; ?>/vote.php?type=down';
	var voteUpScript='<?php echo $host; ?>/vote.php?type=up';
	var voteGetRate='<?php echo $host; ?>/vote.php';
	var inter;
	// Glosowanie w gore
	function vote_up(itemID) {
		message("<?=$kernel->lang['tools']['saving.vote']?>");
		
		$.post(voteUpScript,{vid:'TT2',id:itemID},function(response){
			message(response);
			$.get(voteGetRate, {get:itemID}, function(x) {
				if(x) {
					$('.rate_'+itemID).html(x);
					checkRateColor(x,'.rate_'+itemID);
				}
			});
		});
	}
	//Glosowanie w dol
	function vote_down(itemID) {
		message("<?=$kernel->lang['tools']['saving.vote']?>");
	
		$.post(voteDownScript,{vid:'TT2',id:itemID},function(response){
			message(response);
			$.get(voteGetRate, {get:itemID}, function(x) {
				if(x) {
					$('.rate_'+itemID).html(x);
					checkRateColor(x,'.rate_'+itemID);
				}
			});
		});
	   
    }

	function report(itemID) {
		var reason = prompt("<?=$kernel->lang['vote']['report.reason']?>");
		if(reason != null)
		{
			$.post('<?php echo $host; ?>/vote.php?report', {id:itemID, 'reason':reason}, function(response) {
				message(response);
			});
		}
		return false;
	}
<?php
	}
elseif (isset($_GET['mod'])) {
?>
	var modMove='<?php echo $host; ?>/mod.php';
	function mod_move(itemID) {
		message("<?=$kernel->lang['tools']['moving']?>");
		$.post(modMove, {vid:'TT2',mid:itemID}, function(response) {
			message(response);
		});
	}
	function mod_amove(itemID) {
		var verify = confirm("<?=$kernel->lang['tools']['amove.question']?>");
		if(!verify) return false;
		message("<?=$kernel->lang['tools']['amove']?>");
		$.post(modMove, {vid:'TT2',aid:itemID}, function(response) {
			message(response);
		});
	}
	function mod_del(itemID) {
		var verify = confirm("<?=$kernel->lang['tools']['delete.question']?>");
		if(!verify) return false;
		message("<?=$kernel->lang['tools']['delete']?>");
		$.post(modMove, {vid:'TT2',did:itemID}, function(response) {
			message(response);
		});
	}
	function mod_userBlock(userID) {
		message("<?=$kernel->lang['tools']['banning']?>");
		$.post(modMove, {vid:'TT2',ubid:userID}, function(response) {
			message(response);
		});
	}
	function mod_userUnblock(userID) {
		message("<?=$kernel->lang['tools']['unbanning']?>");
		$.post(modMove, {vid:'TT2',uubid:userID}, function(response) {
			message(response);
		});
	}
	function mod_userActive(userID) {
		message("<?=$kernel->lang['tools']['activation']?>");
		$.post(modMove, {vid:'TT2',uaid:userID}, function(response) {
			message(response);
		});
	}
	function mod_userUnactive(userID) {
		message("<?=$kernel->lang['tools']['deactivation']?>");
		$.post(modMove, {vid:'TT2',uuaid:userID}, function(response) {
			message(response);
		});
	}
    function mod_comDel(itemID) {
		message("<?=$kernel->lang['tools']['delete']?>");
		$.post(modMove, {vid:'TT2',delcom:itemID}, function(response) {
			message(response);
			setTimeout(function() { window.location = window.location.href; }, 1000);
		});
	}
	function mod_comShow(itemID) {
		message("<?=$kernel->lang['tools']['loading']?>");
		
		$.post(modMove, {vid:'TT2',show:itemID}, function(response) {
			message(response);
			setTimeout(function() { window.location = window.location.href; }, 1000);
		});
	}
	function mod_comHide(itemID) {
		message("<?=$kernel->lang['tools']['loading']?>");
		$.post(modMove, {vid:'TT2',hide:itemID}, function(response) {
			message(response);
			setTimeout(function() { window.location = window.location.href; }, 1000);
		});
	}
<?php
	}
	echo trim(ob_get_clean());
?>