<?php
	class mainContent {
		
		//Zmienne pomocnicze
		var $table = 'tentego_settings';
		
		// Metoda CSS
		function myCSS() {
		return '
            .preview {
                padding:20px;
                background:url(img/transp_bg.png);
            }
			.update_ok {
				margin:10px;
				padding:10px;
				text-align:center;
				background:#b0e3bc;
				color:#18921f;
				border:1px solid #71cc85;
				font-size:28px;
			}
			.update_error {
				margin:10px;
				padding:10px;
				text-align:center;
				background:#f2a2a4;
				color:#9e0c0f;
				border:1px solid #f4484d;
				font-size:28px;
			}
			
			#apigui input[type=color] {
				margin:0 10px 0 0 !important;
				padding:3px !important;
			}

			.phpmailer {
				border:1px solid #ccc;
				padding:10px;
				margin:20px;
				background:#f2f2f2;
				display:none;
			}
        ';
		}
		
		//Podstrony
		function subpages() {
			return array(
				'Ogólne' => 1,
				'Użytkownicy' => 2,
				'Wygląd' => 3,
				'Logowanie facebook' => 4,
				'Pozostałe' => 5,
				'Generatory' => 6,
				'Aktualizacja' => 7,
			);
		}
		
		//Wywolanie podstron
		function init($get) {
			switch($get) {
				case 1: $this->general(); break;
				case 2: $this->users(); break;
				case 3: $this->appearance(); break;
				case 4: $this->facebook(); break;
				case 5: $this->other(); break;
				case 6: $this->generators(); break;
				case 7: $this->update(); break;
				default: $this->general();
			}
		}
		function general() {	
			if(isset($_POST['save'])) { 
				$query = mysql_query("UPDATE `$this->table` SET `title` = '".$_POST['title']."', `slogan` = '".$_POST['slogan']."',
				`description` = '".$_POST['description']."', `tags` = '".$_POST['tags']."', `objects_per_page` = '".$_POST['objects_per_page']."',
				`max_file_size` = '".$_POST['max_file_size']."', language = '".$_POST['language']."' WHERE id='1'") or die(mysql_error());		
				if($query) {
					kernel::make_notify("Ustawienia zostały zaktualizowane");
				}
				else {
					kernel::make_notify("Nie udało się zapisać ustawień");
				}
			}
			$this->query(mysql_query("SELECT * FROM `$this->table` WHERE `id`='1'"));
			
			echo '<div id="apigui">
			<form method="post" action="?go=settings&feature=1">
			<div id="options"><input type="submit" value="Zapisz" name="save"></div>
			<div class="block">
			<h2>Nazwa strony</h2>
			<span class="description">Nazwa witryny. Nie powinna być dłuższa niż 66 znaków.</span>
			<input type="text" name="title" value="'.$this->pobierz('title').'" />
			</div>
			<div class="block">
			<h2>Slogan</h2>
			<span class="description">Krótki slogan witryny. Może być wyświetlany w nagłówku przez niektóre szablony.</span>
			<input type="text" name="slogan" value="'.$this->pobierz('slogan').'" />
			</div>
			<div class="block">
			<h2>Opis</h2>
			<span class="description">Opis strony. Będzie on umieszczony w meta-tagu <em>description</em>.</span>
			<input type="text" name="description" value="'.$this->pobierz('description').'" />
			</div>
			<div class="block">
			<h2>Słowa kluczowe</h2>
			<span class="description">Wymień po przecinku. Będą one umieszczone w meta-tagu <em>keywords</em>.</span>
			<input type="text" name="tags" value="'.$this->pobierz('tags').'" />
			</div>
			<div class="block">
			<h2>Ilość obiektów na stronę</h2>
			<span class="description">Określa liczbę wyświetlanych obiektów na jednej stronie.</span>
			<input type="text" name="objects_per_page" value="'.$this->pobierz('objects_per_page').'" />
			</div>
			<div class="block">
			<h2>Maksymalny rozmiar obiektu</h2>
			<span class="description">Określa maksymalną wielkość wgrywanego pliku w KB.</span>
			<input type="text" name="max_file_size" value="'.$this->pobierz('max_file_size').'" />
			</div>			
			<div class="block">
			<h2>Język strony</h2>
			<span class="description">Wybierz dostępny język z poniższej listy.</span>
			
			<select name="language">
			';
			foreach(glob("../_core/languages/*.ini") as $lang)
			{
				$lang = pathinfo($lang, PATHINFO_FILENAME);
				echo '<option value="'.$lang.'"'.($lang == $this->pobierz('language')?' selected':'').'>'.$lang.'</option>';
			}
			echo '
			</select>
			</div>
			</form>
			</div>';
			
		}
		
		
		function users() {
			if(isset($_POST['save'])) { 
				$query = mysql_query("UPDATE `$this->table` SET `register` = '".$_POST['register']."', `req_code` = '".$_POST['req_code']."',
				`guest_add` = '".$_POST['guest_add']."', `admin_captcha` = '".$_POST['admin_captcha']."' WHERE id='1'") or die(mysql_error());
				if($query) {
					kernel::make_notify("Ustawienia zostały zaktualizowane");
				}
				else {
					kernel::make_notify("Nie udało się zapisać ustawień");
				}
			}		
			$this->query(mysql_query("SELECT * FROM `$this->table` WHERE `id`='1'"));
			
			echo '<div id="apigui">
			<form method="post" action="?go=settings&feature=2">
			<div id="options"><input type="submit" value="Zapisz" name="save"></div>
			<div class="block">
			<h2>Rejestracja</h2>
			<span class="description">Zezwolić na rejestrację nowych użytkowników?</span>
			<input type="radio" name="register" value="1" '.($this->pobierz('register') ? 'checked' : '').' />Tak
			<input type="radio" name="register" value="0" '.(!$this->pobierz('register') ? 'checked' : '').' />Nie
			</div>
			<div class="block">
			<h2>Aktywacja</h2>
			<span class="description">Włączyć aktywację nowych kont przez email?</span>
			<input type="radio" name="req_code" value="1" '.($this->pobierz('req_code') ? 'checked' : '').' />Tak
			<input type="radio" name="req_code" value="0" '.(!$this->pobierz('req_code') ? 'checked' : '').' />Nie
			</div>
			<div class="block">
			<h2>Dodawanie przez gości</h2>
			<span class="description">Pozwolić niezarejestrowanym użytkownikom na dodawanie nowych treści?</span>
			<input type="radio" name="guest_add" value="1" '.($this->pobierz('guest_add') ? 'checked' : '').' />Tak
			<input type="radio" name="guest_add" value="0" '.(!$this->pobierz('guest_add') ? 'checked' : '').' />Nie
			</div>
			<div class="block">
			<h2>Wyłączenie obowiązkowej captchy dla administratora</h2>
			<span class="description">Po włączeniu tej opcji podanie kodu weryfikującego dla administratora stanie się nieobowiązkowe.</span>
			<input type="radio" name="admin_captcha" value="1" '.($this->pobierz('admin_captcha') ? 'checked' : '').' />Tak
			<input type="radio" name="admin_captcha" value="0" '.(!$this->pobierz('admin_captcha') ? 'checked' : '').' />Nie
			</div>
			</form>
			</div>';
		}
		
		function facebook() {
			if(isset($_POST['save'])) { 
				$query = mysql_query("UPDATE `$this->table` SET `appid` = '".$_POST['appid']."', `secret` = '".$_POST['secret']."' 
				WHERE id='1'") or die(mysql_error());
				if($query) {
					kernel::make_notify("Ustawienia zostały zaktualizowane");
				}
				else {
					kernel::make_notify("Nie udało się zapisać ustawień");
				}
			}
			$this->query(mysql_query("SELECT * FROM `$this->table` WHERE `id`='1'"));
			
			echo '<div id="apigui">
			<form method="post" action="?go=settings&feature=4">
			<div id="options"><input type="submit" value="Zapisz" name="save"></div>
			<div class="block">
			<h2>AppId</h2>
			<span class="description">Pozostaw puste jeżeli nie korzystasz z logowania facebook.</span>
			<input type="text" name="appid" value="'.$this->pobierz('appid').'" />
			</div>
			<div class="block">
			<h2>Secret</h2>
			<span class="description">Pozostaw puste jeżeli nie korzystasz z logowania facebook.</span>
			<input type="text" name="secret" value="'.$this->pobierz('secret').'" />
			</div>
			</form>
			</div>';
		}
		
		function appearance() {
			if(isset($_POST['save'])) {
				if($_POST['watermark']==1) {
				    $_POST['watermark'] = $_POST['watermark_url'];
                    if(!empty($_FILES['watermark_upload']['tmp_name']))
                    {
                        $finfo = new finfo(FILEINFO_MIME_TYPE);
                        if (false === $ext = array_search(
                            $finfo->file($_FILES['watermark_upload']['tmp_name']),
                            array(
                                'jpg' => 'image/jpeg',
                                'png' => 'image/png',
                                'gif' => 'image/gif',
                            ),
                            true
                        ))
                        {
                            kernel::make_notify("Rozszerzenie znaku wodnego jest nieprawidłowe. Wymagane JPG, PNG lub GIF.");
                        }
                        else
                        {
                            if(!move_uploaded_file($_FILES['watermark_upload']['tmp_name'], '../upload/watermark.png'))
                                kernel::make_notify("Wystąpił problem podczas wysyłania znaku wodnego.");
                        }
                    }
                }
				$query = mysql_query("UPDATE `$this->table` SET `logo` = '".$_POST['logo']."', `object_title` = '".$_POST['object_title']."',
				`theme` = '".$_POST['theme']."', `watermark` = '".$_POST['watermark']."', `gif_watermark` = '".$_POST['gif_watermark']."', `rewrite` = '".$_POST['rewrite']."', vote = '".$_POST['vote']."' WHERE id='1'") or die(mysql_error());
				if($query) {
					kernel::make_notify("Ustawienia zostały zaktualizowane");
				}
				else {
					kernel::make_notify("Nie udało się zapisać ustawień");
				}
			}		
			$this->query(mysql_query("SELECT * FROM `$this->table` WHERE `id`='1'"));
			
			echo '<script type="text/javascript">
				$(document).ready(function(){
				$(\'input[value$="1"][name="watermark"]\').click( function() { $(\'span[class$="url"]\').attr(\'style\', \'display:block;\'); }); 	
				$(\'input[value$="0"][name="watermark"]\').click( function() { $(\'span[class$="url"]\').attr(\'style\', \'display:none;\'); }); 
				if ($(\'input[value$="1"][name$="watermark"]\').is(":checked")) {
					$(\'span[class$="url"]\').attr(\'style\', \'display:block;\');
				}
				});
				</script>';
			
			echo '<div id="apigui">
			<form method="post" action="?go=settings&feature=3" enctype="multipart/form-data">
			<div id="options"><input type="submit" value="Zapisz" name="save"></div>
			<div class="block">
			<h2>Kod logo</h2>
			<span class="description">Pozwala wprowadzić kod HTML, który będzie wyświetlany w nagłówku szablonu.</span>
			<input type="text" name="logo" value="'.htmlspecialchars($this->pobierz('logo')).'" />
			</div>
			<div class="block">
			<h2>Tytuły nad obiektami</h2>
			<span class="description">Wyświetlać nadane tytuły nad obiektami?</span>
			<input type="radio" name="object_title" value="1" '.($this->pobierz('object_title') ? 'checked' : '').' />Tak
			<input type="radio" name="object_title" value="0" '.(!$this->pobierz('object_title') ? 'checked' : '').' />Nie
			</div>
			<div class="block">
			<h2>Szablon</h2>
			<span class="description">Określa szablon witryny (katalog <em>_themes</em>).</span>
			<select name="theme">';
			$this->cat_list('../_themes');
				for( $x = 0, $cnt = count($this->katalogi); $x < $cnt; $x++ ) {
					echo '<option';
					if($this->pobierz('theme')==$this->katalogi[$x]) { echo ' selected'; }
					echo '>'.$this->katalogi[$x];
					echo '</option>';
				}
			echo '</select>
			</div>
			<div class="block" style="position:relative;">
			<h2>Znak wodny</h2>
			<span class="description">Wyświetlać znak wodny na obiektach graficznych? Watermark zostanie doklejony dopiero do nowych obiektów.</span>
			<input type="radio" name="watermark" value="1" '.($this->pobierz('watermark') ? 'checked' : '').' />Tak
			<input type="radio" name="watermark" value="0" '.(!$this->pobierz('watermark') ? 'checked' : '').' />Nie
			<span class="description" style="margin-top:5px;">Znak wodny na gifach (eksperymentalne)</span>
			<input type="radio" name="gif_watermark" value="1" '.($this->pobierz('gif_watermark') ? 'checked' : '').' />Tak
			<input type="radio" name="gif_watermark" value="0" '.(!$this->pobierz('gif_watermark') ? 'checked' : '').' />Nie
			<span class="url" style="display: none;">
			<span class="description" style="padding-top: 10px;">Wybierz obraz znaku wodnego lub pozostaw jeżeli niezmieniony.</span>
            <input type="file" name="watermark_upload" />
			<input type="hidden" name="watermark_url" value="upload/watermark.png" />
			</span>
            <div class="preview" style="position:absolute; right:0; top:0; bottom:0; width:400px; overflow:scroll;">
                <img src="../upload/watermark.png?'.time().'" alt="watermark" />
            </div>
			</div>
			<div class="block">
			<h2>Przyjazne linki</h2>
			<span class="description">Ta opcja uruchomi przyjazne linki.<br /><span style="color:#333;">UWAGA! Wszystkie dotychczas uzbierane lajki i udostępnienia znikną.</span></span>
			<input type="radio" name="rewrite" value="1" '.($this->pobierz('rewrite') ? 'checked' : '').' />Włączone
			<input type="radio" name="rewrite" value="0" '.(!$this->pobierz('rewrite') ? 'checked' : '').' />Wyłączone
			</div>
			<div class="block">
			<h2>Głosowanie</h2>
			<span class="description">Wybierz sposób wyświetlania głosów.<br /></span>
			<label><input type="radio" name="vote" value="0" '.(!$this->pobierz('vote') ? 'checked' : '').' />Procent głosów dobrych względem całości</label>
			<br />
			<label><input type="radio" name="vote" value="1" '.($this->pobierz('vote') ? 'checked' : '').' />Ilość głosów (dobre/złe)</label>
			</div>
			</form>
			</div>';
		}
		
		function generators()
		{
			if(isset($_POST['save'])) {
			    mysql_query("DELETE FROM tentego_img_plugins");
			    foreach($_POST['active'] as $plugin)
                {
                    mysql_query("INSERT INTO tentego_img_plugins (name) VALUES('$plugin')");
                }
				$query = mysql_query("UPDATE `$this->table` SET `demot_bg_color` = '".$_POST['demot_bg_color']."', `demot_border_color` = '".$_POST['demot_border_color']."', `demot_title_color` = '".$_POST['demot_title_color']."', `demot_text_color` = '".$_POST['demot_text_color']."' WHERE id='1'") or die(mysql_error());
				if($query) {
					kernel::make_notify("Ustawienia zostały zaktualizowane");
				}
				else {
					kernel::make_notify("Nie udało się zapisać ustawień");
				}
			}
			$this->query(mysql_query("SELECT * FROM `$this->table` WHERE `id`='1'"));

			echo '<div id="apigui">
			<form method="post" action="?go=settings&feature=6">
			<div id="options"><input type="submit" value="Zapisz" name="save"></div>
			<div class="block">
            <h2>Generatory</h2>
            <table>
                <tr>
                    <th>Nazwa</th>
                    <th>Aktywny</th>
                </tr>';
                $query = mysql_query("SELECT * FROM tentego_img_plugins");
                $installedPlugins = array();
                while($fetch = mysql_fetch_array($query))
                {
                    $installedPlugins[] = $fetch['name'];
                }
                $pluginsPath = glob('apps/manager/plugins/*.plugin.php');
                require_once('apps/manager/plugins/plugin.abstract.php');
                foreach($pluginsPath as $plugin)
                {
                    $name = basename($plugin, ".plugin.php");
                    $class = ucfirst($name).'Plugin';
                    require_once($plugin);
                    if(class_exists($class))
                    {
                        $tmp = new $class();
                        $pluginName = $tmp->name;
                    }
                    else
                        continue;
                    echo '<tr><td>'.$pluginName.'</td><td><input type="checkbox" name="active[]" value="'.$name.'" '.(in_array($name, $installedPlugins)?'checked':'').'/></td></tr>';
                }
            echo '</table>
            </div>

			<div class="block">
			<h2>Ustawienia generatora demotywatorów</h2>
			<span class="description">Generator demotywatorów</span>
			<label><input type="color" name="demot_bg_color" value="'.$this->pobierz('demot_bg_color').'" />Kolor tła demota</label>
			<br />
			<label><input type="color" name="demot_border_color" value="'.$this->pobierz('demot_border_color').'" />Kolor ramki demota</label>
			<br />
			<label><input type="color" name="demot_title_color" value="'.$this->pobierz('demot_title_color').'" />Kolor tytułu</label>
			<br />
			<label><input type="color" name="demot_text_color" value="'.$this->pobierz('demot_text_color').'" />Kolor tesktu</label>
			</div>
			</form>
			</div>';
		}
		
		function other() {
			if(isset($_POST['save'])) {
				foreach($_POST as $k => $v)
					$_POST[$k] = mysql_real_escape_string($v);
					
				$query = mysql_query("UPDATE `$this->table` SET
					`google_analytics` = '".$_POST['google_analytics']."',
					`regulations` = '".$_POST['regulations']."',
					`comments` = '".$_POST['comments']."',
					`comments_moderate` = '".$_POST['comments_moderate']."',
					`mail` = '".$_POST['mail']."',
					`mail_host` = '".$_POST['mail_host']."',
					`mail_port` = '".$_POST['mail_port']."',
					`mail_auth` = '".(isset($_POST['mail_auth']) ? '1' : '0')."',
					`mail_user` = '".$_POST['mail_user']."',
					`mail_pass` = '".$_POST['mail_pass']."'
				WHERE id='1'") or die(mysql_error());
				if($query) {
					kernel::make_notify("Ustawienia zostały zaktualizowane");
				}
				else {
					kernel::make_notify("Nie udało się zapisać ustawień");
				}
			}		
			$this->query(mysql_query("SELECT * FROM `$this->table` WHERE `id`='1'"));
			
			echo '<div id="apigui">
			<form method="post" action="?go=settings&feature=5">
			<div id="options"><input type="submit" value="Zapisz" name="save"></div>
			<div class="block">
			<h2>Wysyłanie maili</h2>
			<span class="description">Jeżeli masz problemy z wysyłaniem maili do użytkowników lub one nie dochodzą to wybierz opcję PHPMailer i uzupełnij wymagane pola danymi swojej poczty SMTP.</span>
			<label><input type="radio" name="mail" value="0" '.(!$this->pobierz('mail') ? 'checked' : '').' onclick="$(\'.phpmailer\').hide()" />mail() [domyślne]</label>
			<br />
			<label><input type="radio" name="mail" value="1" '.($this->pobierz('mail')==1 ? 'checked' : '').' onclick="$(\'.phpmailer\').show()" />PHPMailer SMTP</label>
			<div class="phpmailer">
				<h3>Konfiguracja PHPMailer</h3>
				<table>
					<tr>
						<td>SMTP host:</td><td><input type="text" name="mail_host" value="'.$this->pobierz('mail_host').'" /></td>
					</tr>
					<tr>
						<td>SMTP port:</td><td><input type="number" name="mail_port" value="'.$this->pobierz('mail_port').'" /></td>
					</tr>
					<tr>
						<td>SMTP Auth:</td><td><input type="checkbox" name="mail_auth" value="1" '.($this->pobierz('mail_auth') ? 'checked' : '').'/><br />Jeżeli zaznaczyłeś to pole to musisz uzupełnić poniższe dane.</td>
					</tr>
					<tr>
						<td>SMTP Username:</td><td><input type="text" name="mail_user" value="'.$this->pobierz('mail_user').'" /></td>
					</tr>
					<tr>
						<td>SMTP Password:</td><td><input type="text" name="mail_pass" value="'.$this->pobierz('mail_pass').'" /></td>
					</tr>
				</table>
			</div>
			<script type="text/javascript">
				$(document).ready(function() {
					if($("input:radio[name=mail]:checked").val() == 1)
						$(".phpmailer").show();
				});
			</script>
			</div>
			<div class="block">
			<h2>Komentarze</h2>
			<span class="description">Wybierz system komentarzy.</span>
			<label><input type="radio" name="comments" value="0" '.(!$this->pobierz('comments') ? 'checked' : '').' />Wyłącz komentarze</label>
			<br />
			<label><input type="radio" name="comments" value="1" '.($this->pobierz('comments')==1 ? 'checked' : '').' />System komentarzy TenTego</label>
			<br />
			<label><input type="radio" name="comments" value="2" '.($this->pobierz('comments')==2 ? 'checked' : '').' />Komentarze Facebook</label>
			</div>
			<div class="block">
			<h2>Moderacja komentarzy</h2>
			<span class="description">W przypadku komentarzy TenTego jest możliwość ich moderowania. Jeżeli ta opcja jest aktywna, to komentarze są ukryte aż do momentu kiedy administrator lub moderator je zaakaceptuje.</span>
			<label><input type="radio" name="comments_moderate" value="1" '.($this->pobierz('comments_moderate') ? 'checked' : '').' />Włączone</label>
			<br />
			<label><input type="radio" name="comments_moderate" value="0" '.(!$this->pobierz('comments_moderate') ? 'checked' : '').' />Wyłączone</label>
			</div>
			<div class="block">
			<h2>Regulamin</h2>
			<span class="description">Treść regulaminu. Dozwolony kod HTML.</span>
			<textarea name="regulations">'.$this->pobierz('regulations').'</textarea>
			</div>
			<div class="block">
			<h2>Kod Google Analytics</h2>
			<span class="description">Kod Google Analytics jest umieszczany na końcu każdej strony.</span>
			<textarea name="google_analytics">'.$this->pobierz('google_analytics').'</textarea>
			</div>
			</form>
			</div>';
		}
		
		public function update()
		{
			global $kernel;
			echo '<div id="apigui">';
			echo '<div style="padding:10px;">Wszelkie aktualizacje znajdziesz na naszym <a href="http://forum.sruu.pl/" target="_blank">forum</a>. W celu ich pobrania musisz mieć wykupioną licencję. Jeżeli już tego dokonałeś to prosimy o kontakt w celu zweryfikowania licencji i nadania stosownych uprawnień wymaganych do pobrania aktualizacji.</div>';
			echo '<div style="padding:10px;">Pobrany plik <b>TenTegoUpdate_[numerwersji].json</b> należy przesłać za pomocą klienta FTP na serwer do katalogu: <b>admin/update/</b>.</div>';
			echo '<div style="padding:10px;">W przypadku niepowodzenia lub błędów w czasie aktualizacji prosimy o niezwłoczne skontaktowanie się z nami za pośrednictwem adresu mailowego <a href="mailto:kontakt@sruu.pl">kontakt@sruu.pl</a>.</div>';
			echo '<div style="padding:10px;">Twoja aktualna wersja TenTego Premium to: <b>'.sprintf('%04d',$kernel->tentego_version).'</b>.</div>';
			
			$scan = glob("update/TenTegoUpdate_*-*.json");
			
			$update = false;
			foreach($scan as $key => $file)
			{
				preg_match("/TenTegoUpdate_([0-9]+)\-([0-9]+)\.json/", $file, $match);
				if((int)$match[1] == $kernel->tentego_version)
				{
					$update = array(
						'file' => $file,
						'version' => $match[2],
						'id' => $key,
					);
				}
			}
			
			if($update)
			{
				require_once "SystemUpdateRead.php";
				$sur = new SystemUpdateRead($update['file']);
			}
			
			if(isset($_GET['update']) && $update)
			{
				if((int)$_GET['update'] == $update['id'])
				{
					if($sur->makeBackup("../"))
					{
						if(!$sur->update("../"))
						{
							if($sur->restoreBackup("../"))
								echo '<div class="update_error">Wystąpił błąd podczas aktualizacji. Udało się przywrócić kopię plików.</div>';
							else
								echo '<div class="update_error">Wystąpił błąd podczas aktualizacji. Nie udało się przywrócić kopii bezpieczeństwa. Prosimy przekopiować pliki znajdujące się w katalogu głównym w folderze <b>backup_*</b> do katalogu głównego.</div>';
						}
						else
						{
							file_put_contents('sys/version', $match[2]);
							echo '<div class="update_ok">Pomyślnie zaktualizowano TenTego Premium!</div>';
						}
					}
					else
						echo '<div class="update_error">Nie udało się utworzyć kopii bezpieczeństwa. Aktualizacja została przerwana.</div>';
				}
			}
			else
			{
				echo '<div style="margin:10px; padding:10px; color:#000; background:#f2f2f2; border:1px solid #ccc; text-align:center; font-size:24px;">';
				if($update && $info = $sur->info()):
					echo 'Znaleziono aktualizację do wersji: <b>'.$update['version'].'</b>.';
					if(!$sur->test("../"))
					{
						var_dump($sur->error);
					}
					echo '<textarea style="width:100%; height:300px; display:block; margin:0; box-sizing:border-box; padding:10px;" readonly>'."Zostaną zaktualizowane następujące pliki:\n\n".implode("\n", $info['files'])."\n\nChangeLog:\n\n".$info['changelog'].'</textarea>';
					echo '<div style="font-size:14px;"><a href="?go=settings&feature=7&update='.$update['id'].'" style=" margin:10px; padding:10px 20px; background:#20d206; display:block; color:#FFF;">Zaktualizuj teraz!</a></div>';
				else:
					echo 'Nie znaleziono aktualizacji.';
				endif;
				echo '</div>';
			}
			
			echo '</div>';
		}
	
		
		/*****************************************/
		/* DODATKOWE FUNKCJE
		/*****************************************/
		function query($q) {
			$db_query = $q;
			$this->zapytanie = mysql_fetch_array($db_query);
		}
		function pobierz($row) {
			return $this->zapytanie[$row];
		}
		function cat_list($katalog) { 
			$dir = opendir($katalog);
			while ($file = readdir($dir)) {
				if (is_dir($katalog.'/'.$file) && $file != "." && $file != ".." && $file != "_captcha" && $file != "_icons") {
					$this->katalogi[] = $file;
				}
			}
		}
	
	}
?>