<?php
use PHPImageWorkshop\ImageWorkshop;
class users {

	var $table = 'tablicacms_users';
	var $msg = NULL;

    private $user = array();
    private $me = array();

    public function __construct()
    {
        if(!isset($_SESSION['cameFrom']))
            $_SESSION['cameFrom'] = kernel::host();

        if(array_key_exists('HTTP_REFERER', $_SERVER))
        {
            $from = str_replace(parse_url(kernel::host(), PHP_URL_PATH),'',parse_url($_SERVER['HTTP_REFERER'], PHP_URL_PATH));
            
            if(!(basename($_SERVER["SCRIPT_NAME"]) == 'login.php' && in_array($from, array('/login/', 'login.php'))))
            {
                if(array_key_exists('HTTP_REFERER', $_SERVER))
                {
                    if(parse_url($_SERVER['HTTP_REFERER'], PHP_URL_HOST) == parse_url(self::host(), PHP_URL_HOST))
                        $_SESSION['cameFrom'] = $_SERVER['HTTP_REFERER'];
                    else
                        $_SESSION['cameFrom'] = kernel::host();
                }
                else
                    $_SESSION['cameFrom'] = kernel::host();
            }
        }
        else
            $_SESSION['cameFrom'] = kernel::host();

    }
	function register($register,$email_active,$page_title) {
		global $kernel;

		if($register) {
			if(isset($_POST['submit'])) {
				if(empty($_POST['login']) || empty($_POST['pass']) || empty($_POST['email']) || empty($_POST['question']) || empty($_POST['rules'])) $this->msg($kernel->lang['register']['fillrequired'],1);
				//else if(preg_match("/[^A-Za-z0-9]/", $_POST['login'])) $this->msg('Login zawiera niedopuszczalne znaki!',1);
				else {
					$login = mysql_real_escape_string(htmlspecialchars($_POST['login']));
					$pass = md5($_POST['pass']);
					$email = mysql_real_escape_string($_POST['email']);
					$question = htmlspecialchars(strtolower($_POST['question']));
					$rules = $_POST['rules'];
					$date = date('Y-m-d H:i:s');
					$ip = $_SERVER['REMOTE_ADDR'];

					if(!filter_var($email,FILTER_VALIDATE_EMAIL)) $this->msg($kernel->lang['register']['wrong.email'],1);
					if($_SESSION['img_number'] != $question) $this->msg($kernel->lang['register']['wrong.captcha'],1);
					$query_login = mysql_query("SELECT * FROM `$this->table` WHERE `user`='$login'");
					$query_email = mysql_query("SELECT * FROM `$this->table` WHERE `email`='$email'");
					if(mysql_fetch_array($query_login)) $this->msg($kernel->lang['register']['exists.username'],1);
					if(mysql_fetch_array($query_email)) $this->msg($kernel->lang['register']['exists.email'],1);
				}

				if($this->msg == NULL) {
					if($email_active) {
						$string = "aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPqQrRsStTuUvVwWxXyYzZ0123456789";
						$active_code = NULL;
						for($i=0;$i<12;$i++){
							$char_position = rand(0,strlen($string)-1);
							$active_code .= $string{$char_position};
						}
						$query = mysql_query("INSERT INTO `$this->table` (user, email, pass, date, ip, rank, active) VALUES ('$login', '$email', '$pass', '$date', '$ip', '2', '$active_code')");
						if($query && $this->mail_activation($email,$page_title,$active_code)) $this->msg($kernel->lang['register']['verifyEmail'],3);
						else $this->msg($kernel->lang['register']['error'],1);
					}
					else {
						$query = mysql_query("INSERT INTO `$this->table` (user, email, pass, date, ip, rank, active) VALUES ('$login', '$email', '$pass', '$date', '$ip', '2', '1')");
						if($query) $this->msg($kernel->lang['register']['registerOK'],3);
						else $this->msg($kernel->lang['register']['error'],1);
					}
				}
			}
		}
	}

	function registerForm($rewrite, $settings) {
		global $kernel;
		if(!isset($_GET['active'])) {
			if($settings['register']) {
				$this->register($settings['register'],$settings['req_code'],$settings['title']);
				echo '<form action="'.$rewrite->register.'" method="post">
					<label>'.$kernel->lang['register']['form.login'].' <span class="required">*</span></label>
					<input type="text" name="login" maxlength="16" value="'.(isset($_POST['login'])?htmlspecialchars($_POST['login']):'').'" />
					<label>'.$kernel->lang['register']['form.pass'].' <span class="required">*</span></label>
					<input type="password" name="pass" value="'.(isset($_POST['pass'])?$_POST['pass']:'').'" />
					<label>'.$kernel->lang['register']['form.email'].' <span class="required">*</span></label>
					<input type="text" name="email" value="'.(isset($_POST['email'])?htmlspecialchars($_POST['email']):'').'" />
					<label><img src="'.$kernel->host().'/_themes/_captcha/image.php" alt="Captcha"></label><br/>
					<input type="text" name="question">
					<label>'.$kernel->lang['register']['form.rules'].' <span class="required">*</span></label>
					<input name="rules" type="checkbox" value="1"> '.sprintf($kernel->lang['register']['form.rules.accept'], '<a href="'.$rewrite->rules.'">', '</a>').'<br/>
					<input type="submit" name="submit" value="'.$kernel->lang['register']['form.submit'].'" />
				</form>';
			} else $this->msg($kernel->lang['register']['disabled'],1);
		} else $this->active();
	}

	function active() {
		global $kernel;
		$code = mysql_real_escape_string(htmlspecialchars($_GET['active']));
		$query = mysql_query("SELECT * FROM `$this->table` WHERE `active`='$code'");
		if(!mysql_num_rows($query)) { $this->msg($kernel->lang['register']['active.error'],1); }
		else {
			$query = mysql_query("UPDATE `$this->table` SET `active`='1' WHERE `active`='$code'");
			if($query) $this->msg($kernel->lang['register']['active.ok'],3);
			else $this->msg($kernel->lang['register']['active.fatal'],1);
		}
	}


	function msg($text, $type) {
		switch($type) {
			case 1: $this->msg = '<div class="msg error">'.$text.'</div>'; break;
			case 2: $this->msg = '<div class="msg alert">'.$text.'</div>'; break;
			case 3: $this->msg = '<div class="msg good">'.$text.'</div>';
		}
		echo $this->msg;
	}

	function mail_activation($email,$page_title,$code) {
	    global $kernel, $page;
		$subject = sprintf($kernel->lang['mail']['activation.title'], $page_title);
		$message = sprintf($kernel->lang['mail']['activation.message'], $this->host().'/register.php?active='.$code, $page_title);
		$headers  = 'MIME-Version: 1.0' . "\r\n";
		$headers .= "Content-Type: text/html;charset=utf-8\n";
		$headers .= "Content-Transfer-Encoding: 8bit\n";
		$headers .= "FROM: ".$kernel->lang['mail']['activation']." <register@".$_SERVER['SERVER_NAME'].">";
		if($page->load('mail') == '0')
		{
			if(!mail($email, $subject, $message, $headers)) return false;
			else return true;
		}
		else if($page->load('mail') == '1')
		{
			$mail = $this->phpmailer();

			$mail->isHTML(true);

			$mail->setFrom("register@".$_SERVER['SERVER_NAME'], $kernel->lang['mail']['activation']);
			$mail->addAddress($email);

			$mail->Subject = $subject;
			$mail->Body = $message;

			if(!$mail->send()) return false;
			else return true;
		}
	}

	function host() {
		$link = pathinfo($_SERVER['SCRIPT_NAME']);
		if($link['dirname'] == '/') $link['dirname'] = NULL;
		return trim('http://'.$_SERVER['SERVER_NAME'].$link['dirname'], '\\');
	}

	////////////////////////////////////////////////////
	// CZESC ODPOWIEDZALNA ZA LOGOWANIE ////////////////
	////////////////////////////////////////////////////

	function sessionTools() {
		global $kernel;
		if(isset($_GET['logout'])) {
			if(($_GET['logout']=='true')) {
				$_SESSION['login'] = array();
				$_SESSION['pass'] = array();

                $location = 'index.php';

				header('Location:'.$location);
			}
		}
	}
	function setSession($submit, $login, $pass) {
		if(isset($_POST[$submit])) {
			$_SESSION['login'] = mysql_real_escape_string($_POST[$login]);
			$_SESSION['pass'] = md5($_POST[$pass]);
		}
	}

	function verifyLogin($rank = NULL) {
		global $kernel;
		if(isset($_SESSION['login']) && isset($_SESSION['pass'])) {

            if(!empty($this->me)) return 1;

			$query = mysql_query("SELECT * FROM `$this->table` WHERE `user`='".$_SESSION['login']."' AND `pass`='".$_SESSION['pass']."' AND `active`='1'");
			if(mysql_num_rows($query) == 0) {
				unset($_SESSION['login']);
				unset($_SESSION['pass']);
				return 0;
			}
			else if(mysql_num_rows($query) == 1) {
				$user = mysql_fetch_array($query);
				if($user['rank'] == 3) header('Location: '.$this->host().'/banned.php');
				else {

				    $this->me = $user;

					$date = date('Y-m-d H:i:s'); $ip = $_SERVER['REMOTE_ADDR'];
					mysql_query("UPDATE `$this->table` SET `last_seen`='$date', `last_ip`='$ip' WHERE `user`='".$_SESSION['login']."'");
					return 1;
				}
				mysql_query("UPDATE `$this->table` SET `remind`=NULL WHERE `id`='".$user['id']."'");
			}
		}
	}

	function loginForm($rewrite) {
		global $kernel, $page;
		if(isset($_GET['remind'])) {
			if(isset($_GET['code']) && isset($_GET['email'])) {
				if(!empty($_GET['code'])) {
					if(mysql_num_rows(mysql_query("SELECT * FROM `$this->table` WHERE `email`='".$_GET['email']."' AND `remind`='".$_GET['code']."'"))) {
						$new_pass = substr(md5(rand(10000,99999)),0,5);
						mysql_query("UPDATE `$this->table` SET `pass`='".md5($new_pass)."' WHERE `email`='".$_GET['email']."'");
						$headers  = 'MIME-Version: 1.0' . "\r\n";
						$headers .= "Content-Type: text/html;charset=utf-8\n";
						$headers .= "Content-Transfer-Encoding: 8bit\n";
						$headers .= "FROM: ".$kernel->lang['mail']['lostpass']." <remind@".$_SERVER['SERVER_NAME'].">";
						$email = $_GET['email'];
						$subject = $kernel->lang['mail']['lostpass'].' '.sprintf($kernel->lang['mail']['lostpass.step'], '2');
						$message = sprintf($kernel->lang['mail']['lostpass.steptwo'], $new_pass);
						if($page->load('mail') == '0')
						{	
							if(!mail($email, $subject, $message, $headers)) $this->msg($kernel->lang['login']['remind.notify.error']);
							else {
								$this->msg($kernel->lang['login']['remind.notify.newpass'],3);
								mysql_query("UPDATE `$this->table` SET `remind`=NULL WHERE `email`='".$_GET['email']."'");
							}
						}
						else if($page->load('mail') == '1')
						{
							$mail = $this->phpmailer();

							$mail->isHTML(true);

							$mail->setFrom("remind@".$_SERVER['SERVER_NAME'], $kernel->lang['mail']['lostpass']);
							$mail->addAddress($email);

							$mail->Subject = $subject;
							$mail->Body = $message;

							if(!$mail->send()) $this->msg($kernel->lang['login']['remind.notify.error']);
							else
							{
								$this->msg($kernel->lang['login']['remind.notify.newpass'],3);
								mysql_query("UPDATE `$this->table` SET `remind`=NULL WHERE `email`='".$_GET['email']."'");
							}
						}
					}
				}
			}
			echo '<form action="'.$rewrite->login.'" method="post">
					<label>'.$kernel->lang['login']['remind.email'].':</label>
					<input type="text" name="email" />
					<br />
					<input type="submit" name="remind" value="'.$kernel->lang['login']['remind.submit'].'" />
				</form>';
		}
		else {
			if(!$this->verifyLogin() && isset($_POST['submit'])) $this->msg($kernel->lang['login']['acc.error'],1);
			if(isset($_POST['remind'])) {
				$_POST['email'] = mysql_real_escape_string(htmlspecialchars($_POST['email']));
				if(!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) $this->msg($kernel->lang['login']['acc.wrong.email'],1);
				else {
					$query = mysql_query("SELECT * FROM `$this->table` WHERE `email`='".$_POST['email']."' AND status = 'normal'");
					if(mysql_num_rows($query)) {
						$code = substr(md5(rand(10000,99999)),0,5);
						mysql_query("UPDATE `$this->table` SET `remind`='".$code."' WHERE `email`='".$_POST['email']."'");
						$headers  = 'MIME-Version: 1.0' . "\r\n";
						$headers .= "Content-Type: text/html;charset=utf-8\n";
						$headers .= "Content-Transfer-Encoding: 8bit\n";
						$headers .= "FROM: ".$kernel->lang['mail']['lostpass']." <remind@".$_SERVER['SERVER_NAME'].">";
						$email = $_POST['email'];
						$subject = $kernel->lang['mail']['lostpass'].' '.sprintf($kernel->lang['mail']['lostpass.step'], '1');
						$message = sprintf($kernel->lang['mail']['lostpass.stepone'], $this->host(), $rewrite->login.'?remind&email='.$_POST['email'].'&code='.$code);
						if($page->load('mail') == '0')
						{
							if(!mail($email, $subject, $message, $headers)) $this->msg($kernel->lang['login']['remind.notify.error']);
							else $this->msg($kernel->lang['login']['remind.notify.ok'],3);
						}
						else if($page->load('mail') == '1')
						{
							$mail = $this->phpmailer();

							$mail->isHTML(true);

							$mail->setFrom("remind@".$_SERVER['SERVER_NAME'], $kernel->lang['mail']['lostpass']);
							$mail->addAddress($email);

							$mail->Subject = $subject;
							$mail->Body = $message;

							if(!$mail->send()) $this->msg($kernel->lang['login']['remind.notify.error']);
							else
							{
								$this->msg($kernel->lang['login']['remind.notify.ok'],3);
							}
						}
						
					}
					else $this->msg($kernel->lang['login']['acc.wrong.email'],1);
				}
			}
			echo '<form action="'.$rewrite->login.'" method="post">
					<label>'.$kernel->lang['login']['form.login'].'</label>
					<input type="text" name="login" maxlength="16" />
					<label>'.$kernel->lang['login']['form.pass'].'</label>
					<input type="password" name="pass" />
					<br/>
					<input type="submit" name="submit" value="'.$kernel->lang['login']['form.submit'].'" />
					<div style="text-align:center;"><a href="?remind">'.$kernel->lang['login']['form.remind'].'</a></div>
				</form>';
		}
	}

	////////////////////////////////////////////////////
	// CZESC ODPOWIEDZALNA ZA PROFIL I DANE USERA //////
	////////////////////////////////////////////////////

	function changePass($rank = NULL) {
		global $kernel;
		if(isset($_POST['change_pass'])) {
			$query = mysql_query("SELECT * FROM `$this->table` WHERE `user`='".$_SESSION['login']."' AND `pass`='".md5($_POST['pass'])."'");
			if(mysql_num_rows($query) == 1) {
				$query = mysql_query("UPDATE `$this->table` SET `pass`='".md5($_POST['new_pass'])."' WHERE `user`='".$_SESSION['login']."'");
				if($query) $this->msg($kernel->lang['profile']['changePass.ok'],3);
				else $this->msg($kernel->lang['profile']['changePass.error'],1);
			}
			else if(mysql_num_rows($query) == 0) $this->msg($kernel->lang['profile']['changePass.pass.error'],1);;
		}
	}

	function changePassForm($rewrite) {
		global $kernel;
		echo '<form action="'.$rewrite->profile.'" method="post">
				<label>'.$kernel->lang['profile']['changePass.form.current'].'</label>
				<input type="password" name="pass">
				<label>'.$kernel->lang['profile']['changePass.form.new'].'</label>
				<input type="password" name="new_pass">
				<br/>
				<input type="submit" name="change_pass" value="'.$kernel->lang['profile']['changePass.form.submit'].'" />
			</form>';
	}

	function uploadAvatar($input_name, $max_file_size) {
		global $kernel;
		$overwrite = 1;
		$dir = 'upload/avatars/';
		$file_types = array(1=>'jpg','jpeg','gif','png','JPG','JPEG','GIF','PNG');
		$file_mimes = array(1=>'image/jpg', 'image/jpeg', 'image/pjpeg', 'image/gif', 'image/png');
		$file_name = $_SESSION['login'].'_user_'.rand(1000000000,9999999999);

		if(isset($_POST['send_avatar'])) {
			if(!$_FILES[$input_name]['name']) { $this->msg($kernel->lang['profile']['uploadAvatar.nofile'],1); }
			else {
				if(filesize($_FILES[$input_name]['tmp_name']) <= $max_file_size*1024) {
					$file_ex = pathinfo($_FILES[$input_name]['name']);
					$image_info = @getimagesize($_FILES[$input_name]['tmp_name']);
						if(array_search($file_ex['extension'],$file_types) && array_search($image_info['mime'],$file_mimes)) {
							if($overwrite == 0 && file_exists($dir.$file_name.".".$file_ex['extension'])) $this->msg($kernel->lang['profile']['uploadAvatar.alreadyExist'],1);
							if(!move_uploaded_file($_FILES[$input_name]['tmp_name'],$dir.$file_name.".".$file_ex['extension'])) $this->msg($kernel->lang['profile']['uploadAvatar.error'],1);
							else {
								$upload_dir = $dir.$file_name.".".$file_ex['extension'];
								mysql_query("UPDATE `$this->table` SET `avatar`='$upload_dir' WHERE `user`='".$_SESSION['login']."'");

								//Zmina rozmiaru avatara
								list($width, $height, $type, $attr) = getimagesize($upload_dir);
								if($width > 120 || $height > 120) {
									require_once(ADMIN_DIRECTORY.'/lib/imageworkshop/ImageWorkshop.php');
									$createFolders = false;
									$backgroundColor = null;
									$imageQuality = 95;
									$imageLayer = ImageWorkshop::initFromPath($upload_dir);
									$imageLayer->cropMaximumInPixel(0, 0, "MM");
									$imageLayer->resizeInPixel(120, 120);
									//$imageLayer->resizeInPixel(120, 120, true);
									$imageLayer->save($dir, $file_name.".".$file_ex['extension'], $createFolders, $backgroundColor, $imageQuality);
								}
								$this->msg($kernel->lang['profile']['uploadAvatar.ok'],3);
							}
						}
					else $this->msg($kernel->lang['profile']['uploadAvatar.wrongExt'],1);
				}
				else $this->msg( sprintf($kernel->lang['profile']['uploadAvatar.tooLarge'],$max_file_size),1);
			}
		}
    }

	function uploadAvatarForm($rewrite) {

		global $kernel;
		return '<form action="'.$rewrite->profile.'" method="post" enctype="multipart/form-data">
			<input type="file" name="avatar" size="40">
			<input type="submit" name="send_avatar" value="'.$kernel->lang['profile']['uploadAvatar'].'" />
			</form>';
	}

	function userTemplateInfo($for_guest = NULL, $for_user = NULL, $user_id = NULL) {
		global $rewrite, $kernel;
		if(!$this->verifyLogin() && $for_guest != NULL) {
			echo $for_guest;
		}
		if($user_id == NULL) {
			if($this->verifyLogin() && $for_user != NULL) {
				$query = mysql_query("SELECT * FROM `$this->table` WHERE `user` = '".$_SESSION['login']."'");
				$user = mysql_fetch_array($query);
				$return = NULL;
				$result = NULL;
					$return = str_replace("#ID#",$user['id'], $for_user);
					$return = str_replace("#LOGIN#",$user['user'], $return);
					$return = str_replace("#E-MAIL#",$user['email'], $return);
					$return = str_replace("#REG_DATE#",date('Y-m-d H:i',strtotime($user['date'])), $return);
					if($user['last_seen']==='0000-00-00 00:00:00') $last_seen='- - - - -'; else $last_seen=date('Y-m-d H:i',strtotime($user['last_seen']));
					$return = str_replace("#LAST_DATE#",$last_seen, $return);
					$return = str_replace("#REG_IP#",$user['ip'], $return);
					$return = str_replace("#LAST_IP#",$user['last_ip'], $return);
					$objects = mysql_num_rows(mysql_query("SELECT `owner` FROM `tentego_img` WHERE `owner`='".$user['id']."'"));
					$return = str_replace("#OBJECTS#",$objects, $return);
					switch($user['active']) {
						case 0: $active = '<span style="color:red;">'.$kernel->lang['profile']['active.no'].'</span>'; break;
						case 1: $active = '<span style="color:green;">'.$kernel->lang['profile']['active.yes'].'</span>';
					}
					$return = str_replace("#ACTIVE#",$active, $return);
					switch($user['rank']) {
						case 3: $status = $kernel->lang['profile']['rank.banner']; break;
						case 2: $status = $kernel->lang['profile']['rank.user']; break;
						case 1: $status = $kernel->lang['profile']['rank.mod']; break;
						case 0: $status = $kernel->lang['profile']['rank.admin'];
					}
					$return = str_replace("#STATUS#",$status, $return);
					if($user['avatar'] != NULL) $avatar = '<img src="'.$kernel->host().'/'.$user['avatar'].'" alt="avatar"/>';
					else $avatar = '<img src="'.$kernel->host().'/upload/avatars/default_profile.png" alt="avatar"/>';
					$return = str_replace("#AVATAR#",$avatar, $return);
					# MODERATOR #
					$mod_tools = '<div class="mod_tools">';
					$mod_tools .= '<a href="#">'.$kernel->lang['profile']['mod.ban'].'</a>';
					$mod_tools .= '<a href="#">'.$kernel->lang['profile']['mod.activate'].'</a>';
					$mod_tools .= '</div>';

					$return = str_replace("#MOD_TOOLS#", $mod_tools, $return);
					# KONIEC MODERATOR #
					$result .= $return;
					echo $result;
			}
		}
		else {
			if(is_numeric($user_id)) {
				if($for_user != NULL) {
					$query = mysql_query("SELECT * FROM `$this->table` WHERE `id` = '$user_id'");
					$user = mysql_fetch_array($query);
					if($user) {
						$return = NULL;
						$result = NULL;

						$return = str_replace("#ID#",$user['id'], $for_user);
						$return = str_replace("#LOGIN#",$user['user'], $return);
						$return = str_replace("#E-MAIL#",$user['email'], $return);
						$return = str_replace("#REG_DATE#",date('Y-m-d H:i',strtotime($user['date'])), $return);
						if($user['last_seen']==='0000-00-00 00:00:00') $last_seen='- - - - -'; else $last_seen=date('Y-m-d H:i',strtotime($user['last_seen']));
						$return = str_replace("#LAST_DATE#",$last_seen, $return);
						$return = str_replace("#REG_IP#",$user['ip'], $return);
						$return = str_replace("#LAST_IP#",$user['last_ip'], $return);
						$objects = mysql_num_rows(mysql_query("SELECT `owner` FROM `tentego_img` WHERE `owner`='".$user['id']."'"));
						$return = str_replace("#OBJECTS#",$objects, $return);
						switch($user['active']) {
							case 0: $active = '<span style="color:red;">'.$kernel->lang['profile']['active.no'].'</span>'; break;
							case 1: $active = '<span style="color:green;">'.$kernel->lang['profile']['active.yes'].'</span>';
						}
						$return = str_replace("#ACTIVE#",$active, $return);
						switch($user['rank']) {
							case 3: $status = $kernel->lang['profile']['rank.banned']; break;
							case 2: $status = $kernel->lang['profile']['rank.user']; break;
							case 1: $status = $kernel->lang['profile']['rank.mod']; break;
							case 0: $status = $kernel->lang['profile']['rank.admin'];
						}
						$return = str_replace("#STATUS#",$status, $return);
						if($user['avatar'] != NULL) $avatar = '<img src="'.$kernel->host().'/'.$user['avatar'].'" alt="avatar"/>';
						else $avatar = '<img src="'.$kernel->host().'/upload/avatars/default.png" alt="avatar"/>';
						$return = str_replace("#AVATAR#",$avatar, $return);

						# MODERATOR #
						$return = str_replace("#MOD_TOOLS#", $this->mod_tools($user['id']), $return);
						# KONIEC MODERATOR #

						$result .= $return;
						echo $result;
					}
					else header('Location: '.$rewrite->index);
				}

			}
			else header('Location: '.$rewrite->index);
		}
	}

	function userInfo($col, $user_id = NULL) {
		if($user_id == NULL) {
			if(isset($_SESSION['login']) && isset($_SESSION['pass'])) {
			    if(!array_key_exists($col, $this->me))
                {
		            $query = mysql_fetch_array(mysql_query("SELECT * FROM `$this->table` WHERE `user`='".$_SESSION['login']."' AND `pass`='".$_SESSION['pass']."' AND `active`='1'"));
                    $this->me = $query;
                }
			    return $this->me[ $col ];
			}
		}
		else {
			if(is_numeric($user_id)) {
			    if(!array_key_exists($user_id, $this->user))
                {
                    $query = mysql_fetch_array(mysql_query("SELECT * FROM `$this->table` WHERE `id`='$user_id'"));
                    $this->user[ $query['id'] ] = $query;
                }
				return $this->user[ $user_id ][$col];
			}
		}

		return false;
	}

	private function mod_tools($user_id) {
		global $kernel;
		if($this->verifyLogin()) {
			if($this->userInfo('rank') <= 1) {
				if($this->userInfo('rank', $user_id) > 1) {
					$mod_tools = '<div class="mod_tools">';
					if($this->userInfo('rank', $user_id) == 3)
						$mod_tools .= '<a href="#" onClick="mod_userUnblock('.$user_id.'); return false;">'.$kernel->lang['profile']['mod.unban'].'</a>';
					else $mod_tools .= '<a href="#" onClick="mod_userBlock('.$user_id.'); return false;">'.$kernel->lang['profile']['mod.ban'].'</a>';
					if($this->userInfo('active', $user_id) == 0)
						$mod_tools .= '<a href="#" onClick="mod_userActive('.$user_id.'); return false;">'.$kernel->lang['profile']['mod.activate'].'</a>';
					else $mod_tools .= '<a href="#" onClick="mod_userUnactive('.$user_id.'); return false;">'.$kernel->lang['profile']['mod.deactivate'].'</a>';
					$mod_tools .= '</div>';

					return $mod_tools;
				}
				else return NULL;
			}
		}
	}

	private function phpmailer()
	{
		global $page;
		require_once '_core/phpmailer/PHPMailerAutoload.php';

		$mail = new PHPMailer;

		$mail->isSMTP();
		$mail->Host = $page->load('mail_host');
		$mail->SMTPAuth = intval($page->load('mail_pass')) ? true : false;
		$mail->Username = $page->load('mail_user');
		$mail->Password = $page->load('mail_pass');
		//$mail->SMTPSecure = 'tls';
		$mail->Port = intval($page->load('mail_port'));

		return $mail;
	}

}
?>