<?php

	ob_start();

	require_once("sys/kernel.php");

	$kernel = new kernel();

	$kernel->session_start();

	$kernel->mysql();

?>
<!DOCTYPE html>
<html>
	<head>
		<title>Logowanie</title>
		<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
		<script type="text/javascript" src="img/jquery.min.js"></script>
		<link rel="Shortcut icon" href="img/favicon.png" />
		<style type="text/css">
			* {
				margin:0 auto;
			}
			body {
				margin:0 auto;
				padding-top:20px;
				background:#f2f2f2;
				font-family: "Helvetica Neue", "Helvetica Neue", Helvetica, Arial, sans-serif;
				font-weight:400;
				font-size:14px;
			}
			img { border:0; }
			input {
				outline-style:none;
			}
			a {
				text-decoration: none;
				color:#fb5c00;
			}
            #title {
                margin:75px auto 15px auto;
                text-align:center;
                font-size:24px;
                font-weight:bold;
                text-shadow:1px 1px 0px #fff;
            }
            #title span
            {
                color:#2E9F49;
            }

			#box {
				position:relative;
				z-index:1 !important;
				margin:15px auto;
				width:320px;
				text-align:center;
				background:#fff;
				border:1px solid #DDDDDD;
				border-radius:3px;
				padding:15px 15px 15px 15px;

			}
			#box label:not(.reset) {
				display: block;
				width:292px;
				text-align:left;
				text-transform:uppercase;
			}
			#box input:not([type=checkbox]) {
				font-family: 'Roboto', sans-serif;
				color:#333;
				margin:5px 0px;
				border:1px solid #ccc;
				border-bottom:2px solid #2E9F49;
				width:270px;
				padding:10px;
				font-size:14px;
				font-weight:400;
				background:#eee;
			}
			#box .bottom {
				background:#ebebeb !important;
				border:1px solid #e0e0e0;
				border-bottom: 3px solid #2E9F49;
				border-radius:0 0 3px 3px;
				margin:15px -15px -15px -15px;
				padding: 15px;
				display: block;
			}
			#box input[type=submit] {
				background:#2E9F49;
				border:0;
				color:#FFF;
				font-weight:400;
				text-transform: uppercase;
			}
			#box .extra {
				margin-top:10px;
			}
			#notify {
				margin: 0 15px 24px 15px;
				padding: 10px 5px;
				background: #3E86C9;
				color: #FFF;
				border-radius: 3px;
				text-align: center;
				font-size: 14px;
			}
		</style>
	</head>
	<body>
		<div id="tablicacms">
            <div id="title">Ten<span>Tego</span> Premium</div>
			<div id="box">
                <?= $kernel->get_notify(NULL, 0, '<div id="notify">#CONTENT#</div>') ?>
				<form method="post" action="index.php">
					<label>Nazwa użytkownika:</label>
					<input type="text" name="post_user" />
					<label>Hasło:</label>
					<input type="password" name="post_pass" />
					<div class="bottom">
						<input type="submit" name="submit_login" value="Zaloguj" />
					</div>
				</form>
			</div>
		</div>
		<script type="text/javascript">
			$(document).ready(function() {
				$('input[name=post_user]').focus();
			});
		</script>
	</body>
</html>
<?php
	$kernel->destroy_notify();
	ob_end_flush();
?>