<!DOCTYPE HTML>
<html>
<head>
	<title><?php echo (isset($title)?strip_tags($title).' - ':'').$page->load('title').' - '.$page->load('slogan'); ?></title>
	<meta charset="UTF-8">
	<meta content='<?php echo $page->load('description'); ?>' name='description'/>
	<meta content='<?php echo $page->load('tags'); ?>,tentego, sruu.pl' name='keywords'/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
    <link rel="stylesheet" href="<?php echo $page->host().'_themes/'.$theme.'/'; ?>css/style.css" />
    <link rel="stylesheet" href="<?php echo $page->host().'_themes/'.$theme.'/'; ?>css/babylongrid.css" />
    <link rel="stylesheet" href="<?php echo $page->host().'_themes/'.$theme.'/'; ?>css/social-likes_flat.css">
    <script src="<?php echo $page->host().'_js/jquery.min.js'; ?>"></script>
    <?php if(isset($img_file)): ?>
	<meta property="og:title" content="<?=$img_file['title'].' - '.$page->load('title')?>" />
	<meta property="og:url" content="<?=$img->getObject($rewrite->img("#ID#","#REWRITE-TITLE#"),$_GET['id'])?>" />
	<meta property="og:image" content="<?=$img_file['image']?>" />
	<meta property="og:site_name" content="<?=$page->load('description')?>" />
	<meta property="og:description" content="<?=$page->load('description')?>" />
	<meta property="og:type" content="object" />
    <?php endif; ?>
</head>

<body>
    <?php $user->userTemplateInfo(NULL,$inbox->notification($user->userInfo('id'))); ?>

    <!-- Begin of "nav" -->
    <nav role="navigation">
    	<div class="container clearfix">
    		<a class="pagename" href="<?=$rewrite->index?>"><?php echo $page->load('logo'); ?></a>
            <ul>
        		<li><a href="<?php echo $rewrite->index; ?>"><?php echo $kernel->lang['global']['home']; ?></a></li>
        		<li><a href="<?php echo $rewrite->waiting; ?>"><?php echo $kernel->lang['global']['waitings']; ?></a></li>
        		<li><a href="#"><?php echo $kernel->lang['global']['categories']; ?></a>
                    <uL>
    				    <?php echo $img->getCategories('<li><a href="'.$rewrite->categories("#ID#","#REWRITE-NAME#").'">#NAME# (#COUNT#)</a></li>'); ?>
                    </uL>
                </li>
                <li><a href="<?php echo $rewrite->random; ?>"><i class="fa fa-refresh"></i></a></li>
                <li><a href="<?php echo $rewrite->add; ?>"><i class="fa fa-plus"></i></a></li>
                <li><a href="#" class="search"><i class="fa fa-search"></i></a></li>
                <li class="user"><a href="#"><i class="fa fa-user"></i></a>
                    <uL>
        			<?php
                			$user->userTemplateInfo('
                			<li><a href="'.$rewrite->login.'">'.$kernel->lang['global']['signin'].'</a>
                            '.($kernel->hasFacebookLogin()?'<a href="'.$kernel->getFacebookLoginUrl().'" class="fb_login" title="'.$kernel->lang['facebook']['login'].'"><i class="fa fa-facebook"></i></a>':'').'</li>
                			<li><a href="'.$rewrite->register.'">'.$kernel->lang['global']['register'].'</a></li>',

                			'<li><a href="'.$rewrite->profile.'">'.$kernel->lang['global']['profile'].'</a></li>
                			<li><a href="'.$rewrite->inbox.'">'.$kernel->lang['global']['messages'].' ('.$inbox->get_new_pms($user->userInfo('id')).')</a></li>
                			<li><a href="'.$rewrite->favorites.'">'.$kernel->lang['global']['favorites'].'</a></li>
                			<li><a href="'.$kernel->host().'/?logout=true">'.$kernel->lang['global']['logout'].'</a></li>'
                        );
        			?>
                    </uL>
                </li>
            </ul>
            <select onchange="location = this.options[this.selectedIndex].value;">
                <option value="<?php echo $_SERVER["REQUEST_URI"]; ?>">MENU:</option>
                <option value="<?php echo $rewrite->index; ?>"><?php echo $kernel->lang['global']['home']; ?></option>
                <option value="<?php echo $rewrite->waiting; ?>"><?php echo $kernel->lang['global']['waitings']; ?></option>
                <option value="<?php echo $rewrite->random; ?>"><?php echo $kernel->lang['global']['random']; ?></option>
                <?php $user->userTemplateInfo('
                <option value="'.$rewrite->login.'">'.$kernel->lang['global']['signin'].'</option>
                <option value="'.$rewrite->register.'">'.$kernel->lang['global']['register'].'</option>',
                '<option value="'.$rewrite->add.'">'.$kernel->lang['global']['add'].'</option>
                <option value="'.$rewrite->profile.'">'.$kernel->lang['global']['profile'].'</option>
                <option value="'.$rewrite->inbox.'">'.$kernel->lang['global']['messages'].'</option>
                <option value="'.$rewrite->favorites.'">'.$kernel->lang['global']['favorites'].'</option>
                <option value="'.$kernel->host().'/?logout=true">'.$kernel->lang['global']['logout'].'</option>'
                ); ?>                
            </select>
    	</div>
    </nav>
    <!-- End of "nav" -->

    <!-- Begin of "ads" -->
    <div id="ads" class="container">
        <?php echo $ads->load('<div class="left">#AD[left]#</div>'); ?>
        <?php echo $ads->load('<div class="right">#AD[right]#</div>'); ?>
    </div>
    <!-- End of "ads" -->

    <!-- Begin of "topSearch" -->
    <div id="topSearch">
        <div class="container clearfix">
            <form action="<?php echo $rewrite->search; ?>" method="get" class="clearfix">
        		<input name="s" placeholder="Słowa kluczowe..." type="text"><button type="submit" name="submit">Szukaj</button>
		    </form>
        </div>
    </div>
    <!-- End of "topSearch" -->
