/* Toggle Search in Top */
$(document).ready(function(){
	var inClick = false;
    $('nav a.search').click(function(){
    	if(inClick) return;
    	inClick = true;
    if ($('#topSearch').is(':hidden')) {
        $('#topSearch').slideDown(function(){
        	inClick = false;
        });
        $('#main').css('margin-top', '+=51px');
        $('#ads div').css('top', '+=51px');
    } else {
        $('#topSearch').slideUp(function(){
        	inClick = false;
        });
        $('#main').css('margin-top', '-=51px');
        $('#ads div').css('top', '-=51px');
    }
    return false;
    });
});

/* Togglable tabs */
$(document).ready(function(){
	$('#tabs div').hide();
	$('#tabs div:first').show();
	$('#tabs ul li:first').addClass('active');

    var action = $('article form').attr('action');
	$('#tabs ul li a').click(function(){
		$('#tabs ul li').removeClass('active');
		$(this).parent().addClass('active');
		var currentTab = $(this).attr('href');
		$('#tabs div').hide();
		$(currentTab).show();
        $('article form').attr('action', action + currentTab);
	});
    if(window.location.hash) {
        $('a[href="'+ window.location.hash +'"]').click();

    }
});

/* Display left and right ad */
$(window).load(function(){
    var wContainer = $('#ads').width();
	var wLeft = $('#ads .left').width();
    var wRight = $('#ads .right').width();

    if($(window).width() < wContainer + wLeft + wRight) {
        $('#ads .left').remove();
        $('#ads .right').remove();
    }

    $('#ads .left').css({'margin-left': -(wContainer/2 + wLeft + 30) + 'px', 'left': '50%'});
    $('#ads .right').css({'margin-right': -(wContainer/2 + wRight + 30) + 'px', 'right': '50%'});
});

/* Avatar upload div */
$(document).ready(function(){
	$('div[class="select_avatar"]').hide();
	$('.avatar').click( function() { $('div[class="select_avatar"]').toggle(); });
});