<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:og="http://ogp.me/ns#"
      xmlns:fb="https://www.facebook.com/2008/fbml">
<head>
	<title><?php echo (isset($title)?strip_tags($title).' - ':'').$page->load('title').' - '.$page->load('slogan'); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta content='<?php echo $page->load('description'); ?>' name='description'/>
	<meta content='<?php echo $page->load('tags'); ?>,tentego, sruu.pl' name='keywords'/>
	<link rel="stylesheet" type="text/css" href="<?php echo $page->host(); ?>_themes/<?php echo $theme; ?>/style.css" />
    <link rel="stylesheet" href="<?php echo $page->host().'_themes/'.$theme.'/'; ?>social-likes_flat.css">
    <script src="<?php echo $page->host().'_js/jquery.min.js'; ?>"></script>  
	<?php if(isset($img_file)): ?>
	<meta property="og:title" content="<?=$img_file['title'].' - '.$page->load('title')?>" />
	<meta property="og:url" content="<?=$img->getObject($rewrite->img("#ID#","#REWRITE-TITLE#"),$_GET['id'])?>" />
	<meta property="og:image" content="<?=$img_file['image']?>" />
	<meta property="og:site_name" content="<?=$page->load('description')?>" />
	<meta property="og:description" content="<?=$page->load('description')?>" />
	<meta property="og:type" content="object" />
    <?php endif; ?>
</head>
<body>
<!-- Begin Wrapper -->
<div id="wrapper">
	<?php $user->userTemplateInfo(NULL,$inbox->notification($user->userInfo('id'))); ?>
  <!-- Begin Header -->
  <div id="header">
	<a class="pagename" href="<?=$rewrite->index?>"><?php echo $page->load('logo'); ?></a>
	<!-- Begin Top Navigation -->
	<div id="navigation">
		<ul>
			<li><a href="<?php echo $rewrite->index; ?>"><?=$kernel->lang['global']['home']?></a></li>
			<li><a href="<?php echo $rewrite->waiting; ?>"><?=$kernel->lang['global']['waitings']?> <span class="sup"><?php echo $img->count(1); ?></span></a></li>
			<li><a href="#"><?=$kernel->lang['global']['categories']?></a>
				<ul class="submenu">
				<?php
					echo $img->getCategories('<li><a href="'.$rewrite->categories("#ID#","#REWRITE-NAME#").'">#NAME# (#COUNT#)</a></li>');
				?>
				</ul>
			</li>
			<li><a href="<?php echo $rewrite->random; ?>"><?=$kernel->lang['global']['random']?></a></li>
			<li><a href="<?php echo $rewrite->add; ?>"><?=$kernel->lang['global']['add']?></a></li>
			<li><a href="<?php echo $rewrite->search; ?>"><?=$kernel->lang['global']['search']?></a></li>
			<?php
			$user->userTemplateInfo('
			<li><a href="'.$rewrite->login.'">'.$kernel->lang['global']['signin'].'</a></li>
			<li><a href="'.$rewrite->register.'">'.$kernel->lang['global']['register'].'</a></li>
			
			'.($kernel->hasFacebookLogin()?'<li><a href="'.$kernel->getFacebookLoginUrl().'" class="facebook_login_button">'.$kernel->lang['facebook']['login'].'</a></li>':''),
									 
			'<li><a href="'.$rewrite->profile.'">'.$kernel->lang['global']['profile'].'</a></li>
			<li><a href="'.$rewrite->inbox.'">'.$kernel->lang['global']['messages'].' <span class="sup">'.$inbox->get_new_pms($user->userInfo('id')).'</span></a></li>
			<li><a href="'.$rewrite->favorites.'">'.$kernel->lang['global']['favorites'].'</a></li>
			<li><a href="'.$kernel->host().'/?logout=true">'.$kernel->lang['global']['logout'].'</a></li>');
			?>
		</ul>
	</div>
	<!-- End Top Navigation -->

    <div id="ads" class="container">
        <?php echo $ads->load('<div class="left">#AD[left]#</div>'); ?>
        <?php echo $ads->load('<div class="right">#AD[right]#</div>'); ?>
    </div>

  </div>
  <!-- End Header -->