<?php
use PHPImageWorkshop\ImageWorkshop;
require_once("GDImage.php");
class manager {
	private $randomQuery = NULL;
	private $counterUpdated = false;
    private $plugins = null;
	
	//Wyświetlanie obiektów (lista)
	function getObjects($pattern, $where, $currentPage, $objPerPage, $categories = 0, $cat = NULL) {
		global $ads, $user, $rewrite, $kernel, $page;

        if(!isset($_SESSION['last_cat']))
            $_SESSION['last_cat'] = false;


        $plugins = $this->loadPlugins();

		$sett = $page;
		if($categories) {
			if(!empty($cat) && is_numeric($cat) && $cat > 0)
            {
                $_SESSION['last_cat'] = $cat;
                $cat = ' AND `cat`='.mysql_real_escape_string($cat);
            }
			else
            {
                $_SESSION['last_cat'] = false;
                $cat = ' AND `cat`=-1';
            }
		}
        else
        {
            $_SESSION['last_cat'] = false;
        }
		
		if(isset($currentPage) && is_numeric($currentPage) && $currentPage > 0) {
			$page = mysql_real_escape_string($currentPage-1)*$objPerPage;
		}
		else $page = 0;
		
		if($where == 0) $where = $where.' AND img.`rel_date` < '.date("YmdHis");
		
		if($where > 0) $query = mysql_query("SELECT img.*, user.user as owner_name, cat.name as cat_name FROM `tentego_img` AS img LEFT JOIN tablicacms_users AS user ON user.id = img.owner LEFT JOIN tentego_img_cat AS cat ON cat.id = img.cat WHERE img.`is_waiting` LIKE ".$where.$cat." ORDER BY img.`date` DESC LIMIT ".$page.",".$objPerPage);
		else $query = mysql_query("SELECT img.*, user.user as owner_name, cat.name as cat_name FROM `tentego_img` AS img LEFT JOIN tablicacms_users AS user ON user.id = img.owner LEFT JOIN tentego_img_cat AS cat ON cat.id = img.cat WHERE img.`is_waiting` LIKE ".$where.$cat." ORDER BY img.`rel_date` DESC, img.`date` DESC LIMIT ".$page.",".$objPerPage);

		$text = NULL;
		$return = NULL;
		while($img = mysql_fetch_array($query)) {
			$return .= $ads->load('#AD[object]#');

            $object = null;
            foreach($plugins as $plugin)
            {
                if($plugin->type == $img['type'])
                {
                    $object = $plugin->onDisplay($img);
                    break;
                }
            }

		    /*	switch($img['type']) {
				case 'img': $object = '<a href="$1"><img src="'.kernel::host().'/upload/'.$img['src'].'" title="#TITLE#" alt="#TITLE#" /></a>'; break;
				case 'youtube':
					parse_str(parse_url(htmlspecialchars_decode($img['src']), PHP_URL_QUERY), $src); $object = '<iframe src="http://www.youtube.com/embed/'.$src['v'].'?wmode=transparent" frameborder="0" allowfullscreen></iframe>'; break;
				case 'vimeo':
					$vid = parse_url($img['src'], PHP_URL_PATH); $object = '<iframe src="http://player.vimeo.com/video'.$vid.'?portrait=0" frameborder="0" allowfullscreen></iframe>'; break;
			}*/
			
			$text = preg_replace("/\[object url=(.*)\]/", $object, $pattern);
			$text = str_replace("#TITLE#", $img['title'], $text);
			$text = str_replace("#REWRITE-TITLE#", $rewrite->changeSigns($img['title']), $text);
			$text = str_replace("#ID#", $img['id'], $text);
			
			switch($sett->load('vote')) // 0 - procent, 1 - ilość
			{
				case 0:
					$vote_query = mysql_query("SELECT SUM(vote), COUNT(vote) as counted FROM `tentego_img_vote` WHERE `object_id`=".$img['id']);
                    $vote = mysql_fetch_array($vote_query);
					if($vote['counted']) {
						$proc = ceil($vote['SUM(vote)']/$vote['counted']*100);
						if($proc > 50) $text = str_replace("#VOTE#",'<span style="color:#06f000;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
						else if($proc >= 30 && $proc <= 50) $text = str_replace("#VOTE#",'<span style="color:#f3c81a;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
						else $text = str_replace("#VOTE#",'<span style="color:#f35118;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
					}
					else $text = str_replace("#VOTE#",'<span class="rate_'.$img['id'].'">?%</span>',$text);
					break;
				case 1:
					$votes = mysql_query("SELECT SUM(IF(vote=1,1,0)) as up, SUM(IF(vote=0,1,0)) as down
											FROM `tentego_img_vote` WHERE `object_id`=".$img['id']." GROUP BY object_id");
					$vote = mysql_fetch_array($votes);
					
					$text = str_replace("#VOTE#",'<span class="rate_'.$img['id'].'"><span class="vote_up_color">'.$vote['up'].'</span> / <span class="vote_down_color">'.$vote['down'].'</span></span>', $text);
					break;
			}
			
			
			$date = new DateTime($img['date']);
			$text = str_replace("#DATE#", $date->format("Y.m.d H:i"), $text);
			
			if($img['owner'] != 0) {
				$owner_name = $img['owner_name'];
			}
			else {
				$owner_name = "Gość";
				$owner['id'] = 0;
			}

			$text = str_replace("#OWNER-ID#", $img['owner'], $text);
			$text = str_replace("#OWNER#", $owner_name, $text);
			$text = str_replace("#REWRITE-OWNER#", $rewrite->changeSigns($owner_name), $text);
			$text = str_replace("#SOURCE#", $img['source'], $text);

			# MODERATOR #
			
			$text = str_replace("#MOD_TOOLS#", $this->mod_tools($img), $text);
			
			# KONIEC MODERATORA #
			
			if($user->verifyLogin()) {
				$verify = mysql_num_rows(mysql_query("SELECT * FROM `tentego_img_fav` WHERE `object_id`=".$img['id']." AND `user_id`=".$user->userInfo('id')));
				if($verify) $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"$2",$text);
				else $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"$1",$text);
			}
			else $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"",$text);

			$text = str_replace("#CATEGORY#", '<a href="'.$rewrite->categories($img['cat'],$rewrite->changeSigns($img['cat_name'])).'">'.$img['cat_name'].'</a>', $text);
			
			if($img['type'] == 'youtube') {
				$text = preg_replace("/\[video\=(.*)\]/", '$1', $text);
				parse_str(parse_url(htmlspecialchars_decode($img['src']), PHP_URL_QUERY), $src);

				if(isset($src['v']))
					$text = str_replace("#SCREENSHOT#", 'http://img.youtube.com/vi/'.$src['v'].'/hqdefault.jpg', $text);

			}
			else if($img['type'] == 'vimeo') {
				$text = preg_replace("/\[video\=(.*)\]/", '$1', $text);
				$url = parse_url($img['src'], PHP_URL_PATH);
				$xml = @simplexml_load_file("http://vimeo.com/api/v2/video".$url.".xml");
				$text = @str_replace("#SCREENSHOT#", $xml->video->thumbnail_large, $text);
			}
			else { 
				$text = preg_replace("/\[video\=(.*)\]/", '', $text);
				$text = str_replace("#SCREENSHOT#", 'http://'.$this->host().'/upload/'.$img['src'], $text);
			}
			
			$return .= $text;
		}
		if(empty($return)) $return = "<div id=\"display_error\">".$kernel->lang['object']['empty']."</div>";
		
		$page = $sett;
		return $return;
	}
	//Wyświetlanie obiektu (pojedynczy)
	function getObject($pattern, $id) {
		global $user, $rewrite, $kernel, $page, $ads;
		if(empty($id) || !is_numeric($id)) header("Location: ".$rewrite->index);
		else {
		    if(!isset($_SESSION['last_cat']))
                $_SESSION['last_cat'] = false;
		    $plugins = $this->loadPlugins();
			$id = mysql_real_escape_string($id);
			$query = mysql_query("SELECT img.*, user.user as owner_name, cat.name as cat_name FROM `tentego_img` AS img LEFT JOIN tablicacms_users AS user ON user.id = img.owner LEFT JOIN tentego_img_cat AS cat ON cat.id = img.cat WHERE img.id=".$id." AND img.rel_date < ".date("YmdHis"));

			if(!mysql_num_rows($query)) header("Location: ".$rewrite->index);
			$text = NULL;
			$return = NULL;
			
			$img = mysql_fetch_array($query);

			if(!$this->counterUpdated)
			{
				mysql_query("UPDATE tentego_img SET counter = counter + 1 WHERE id = ".$id);
				$this->counterUpdated = true;
			}

            $object = null;
            foreach($plugins as $plugin)
            {
                if($plugin->type == $img['type'])
                {
                    $object = $plugin->onSingleDisplay($img);
                    break;
                }
            }
				
				$text = preg_replace("/\[object url=(.*)\]/", $object, $pattern);
				$text = str_replace("#TITLE#", $img['title'], $text);
				$text = str_replace("#REWRITE-TITLE#", $rewrite->changeSigns($img['title']), $text);
				$text = str_replace("#ID#", $img['id'], $text);

                $prev = mysql_fetch_array(mysql_query("select id, title from tentego_img where id = (select id from tentego_img where is_waiting = '".$img['is_waiting']."' AND ".((!$img['is_waiting'])?"rel_date > '".$img['rel_date']."'":"date > '".$img['date']."'").($_SESSION['last_cat']?" AND cat = '".$_SESSION['last_cat']."'":'')." ORDER BY rel_date ASC, id ASC LIMIT 1)"));
				$next = mysql_fetch_array(mysql_query("select id, title from tentego_img where id = (select id from tentego_img where is_waiting = '".$img['is_waiting']."' AND ".((!$img['is_waiting'])?"rel_date < '".$img['rel_date']."'":"date < '".$img['date']."'").($_SESSION['last_cat']?" AND cat = '".$_SESSION['last_cat']."'":'')." ORDER BY rel_date DESC, id DESC LIMIT 1)"));
				$text = str_replace("#NEXT-ID#", (($next['id'])?$next['id']:$img['id']), $text);
				$text = str_replace("#PREV-ID#", (($prev['id'])?$prev['id']:$img['id']), $text);
				$text = str_replace("#NEXT-TITLE#", $rewrite->changeSigns((($next['title'])?$next['title']:$img['title'])), $text);
				$text = str_replace("#PREV-TITLE#", $rewrite->changeSigns((($prev['title'])?$prev['title']:$img['title'])), $text);

				switch($page->load('vote')) // 0 - procent, 1 - ilość
				{
					case 0:
						$vote_query = mysql_query("SELECT SUM(vote), COUNT(vote) as counted FROM `tentego_img_vote` WHERE `object_id`=".$img['id']);
                        $vote = mysql_fetch_array($vote_query);
						if(intval($vote['counted'])) {
							$proc = ceil($vote['SUM(vote)']/$vote['counted']*100);
							if($proc > 50) $text = str_replace("#VOTE#",'<span style="color:#06f000;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
							else if($proc >= 30 && $proc <= 50) $text = str_replace("#VOTE#",'<span style="color:#f3c81a;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
							else $text = str_replace("#VOTE#",'<span style="color:#f35118;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
						}
						else $text = str_replace("#VOTE#",'<span class="rate_'.$img['id'].'">?%</span>',$text);
						break;
					case 1:
						$votes = mysql_query("SELECT SUM(IF(vote=1,1,0)) as up, SUM(IF(vote=0,1,0)) as down
												FROM `tentego_img_vote` WHERE `object_id`=".$img['id']." GROUP BY object_id");
						$vote = mysql_fetch_array($votes);
						
						$text = str_replace("#VOTE#",'<span class="rate_'.$img['id'].'"><span class="vote_up_color">'.$vote['up'].'</span> / <span class="vote_down_color">'.$vote['down'].'</span></span>', $text);
						break;
				}
				
				$date = new DateTime($img['date']);
				$text = str_replace("#DATE#", $date->format("Y.m.d H:i"), $text);
			
				if($img['owner'] != 0) {
					$owner_name = $img['owner_name'];
				}
				else {
					$owner_name = $kernel->lang['object']['guest'];
					$owner['id'] = 0;
				}
				
				$text = str_replace("#OWNER-ID#", $img['owner'], $text);
				$text = str_replace("#OWNER#", $owner_name, $text);
				$text = str_replace("#REWRITE-OWNER#", $rewrite->changeSigns($owner_name), $text);
				$text = str_replace("#SOURCE#", $img['source'], $text);
			
				# MODERATOR #
				
				$text = str_replace("#MOD_TOOLS#", $this->mod_tools($img), $text);
				
				# KONIEC MODERATORA #
			
				if($user->verifyLogin()) {
					$verify = mysql_num_rows(mysql_query("SELECT * FROM `tentego_img_fav` WHERE `object_id`=".$img['id']." AND `user_id`=".$user->userInfo('id')));
					if($verify) $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"$2",$text);
					else $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"$1",$text);
				}
				else $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"",$text);


				$text = str_replace("#CATEGORY#", '<a href="'.$rewrite->categories($img['cat'],$rewrite->changeSigns($img['cat_name'])).'">'.$img['cat_name'].'</a>', $text);
				
				if($img['type'] == 'youtube') {
					$text = preg_replace("/\[video\=(.*)\]/", '$1', $text);
					parse_str(parse_url(htmlspecialchars_decode($img['src']), PHP_URL_QUERY), $src);
					$text = str_replace("#SCREENSHOT#", 'http://img.youtube.com/vi/'.$src['v'].'/hqdefault.jpg', $text);
				}
				else if($img['type'] == 'vimeo') {
					$text = preg_replace("/\[video\=(.*)\]/", '$1', $text);
					$url = parse_url($img['src'], PHP_URL_PATH);
					$xml = @simplexml_load_file("http://vimeo.com/api/v2/video".$url.".xml");
					$text = @str_replace("#SCREENSHOT#", $xml->video->thumbnail_large, $text);
				}
				else { 
					$text = preg_replace("/\[video\=(.*)\]/", '', $text);
					$text = str_replace("#SCREENSHOT#", 'http://'.$this->host().'/upload/'.$img['src'], $text);
				}
				
				$backtrace = debug_backtrace();
				if(strpos($backtrace[0]['file'], "img.php") !== false)
				{
					$ads->i = 0;
					$return .= $ads->load('<div style="text-align:center;">#AD[object]#</div>');
				}
				$return .= $text;
				
			return $return;
		}
	}
	//Paginacja
	function pagination($back_pattern, $pattern, $current_pattern, $next_pattern, $count, $is_waiting, $current, $categories = 0, $cat = NULL) {
		
		if($categories) {
			if(!empty($cat) && is_numeric($cat) && $cat > 0) $cat = ' AND `cat`='.mysql_real_escape_string($cat);
			else $cat = ' AND `cat`=-1';
		}
		
		$query = mysql_query("SELECT * FROM `tentego_img` WHERE rel_date < ".date("YmdHis")." AND `is_waiting`=".$is_waiting.$cat);
		if($current<1 || !isset($current) || !is_numeric($current)) $current = 1;
		$i = ceil(mysql_num_rows($query)/$count);
		$return = NULL;
		if($current > 1) $return .= str_replace("#",$current-1,$back_pattern);
		if($current > 6) $return .= str_replace("#",1,$pattern).' ... ';
		for(($current>5?$j=$current-5:$j=1);$j<$current;$j++) {
			$text = str_replace("#",$j,$pattern);
			$return .= $text;
		}
		$return .= str_replace("#", $current, $current_pattern);
		for($j=$current+1;($current+5<$i?$j<$current+6:$j<=$i);$j++) {
			$text = str_replace("#",$j,$pattern);
			$return .= $text;
		}
		if($current+5<$i) $return .= ' z '.str_replace("#", $i, $pattern);
		if($current < $i && $i > 1) $return .= str_replace("#",$current+1,$next_pattern);
		
		return $return;
	}
	//Pobieranie kategorii
	function getCategories($pattern) {
		global $rewrite;
		$query = mysql_query("SELECT cat.*, SUM(IF(img.is_waiting = 0, 1, 0)) AS count FROM tentego_img_cat AS cat LEFT JOIN tentego_img AS img ON img.cat = cat.id GROUP BY cat.name, cat.id ORDER BY cat.name ASC");

		$return = NULL;

		while($cat = mysql_fetch_array($query)) {
			$text = str_replace("#NAME#", $cat['name'],$pattern);
			$text = str_replace("#REWRITE-NAME#", $rewrite->changeSigns($cat['name']),$text);
			$text = str_replace("#ID#", $cat['id'],$text);

			$text = str_replace("#COUNT#", $cat['count'], $text);
			
			$return .= $text;
		}
		
		return $return;
	}
	//Losowy obiekt
	function random() {
		global $rewrite;
		$obj = mysql_fetch_array(mysql_query("SELECT * FROM `tentego_img` WHERE `is_waiting`=0 ORDER BY RAND() LIMIT 1"));
		header("Location: ".$rewrite->img($obj['id'],$rewrite->changeSigns($obj['title'])));
	}
	//Licznik obiektów (glowan=0/poczekalnia=1/archiwum=2)
	function count($is_waiting) {
		if(empty($is_waiting) && !is_numeric($is_waiting)) return 0;
		else return mysql_num_rows(mysql_query("SELECT * FROM `tentego_img` WHERE `is_waiting`=".$is_waiting));
	}
	function host() {
		$link = pathinfo($_SERVER['SCRIPT_NAME']);
		if($link['dirname'] == '/') $link['dirname'] = NULL;
		return 'http://'.$_SERVER['HTTP_HOST'].$link['dirname'].'/';
	}
	//Wyszukajka obiektów :D
	function searchObjects($pattern, $search, $currentPage, $objPerPage) {
		global $ads,$user,$rewrite, $kernel, $page;
		$sett = $page;

        $plugins = $this->loadPlugins();
		
		if(empty($search)) return false;
		
		$search = mysql_real_escape_string(htmlspecialchars($search));
		
		if(isset($currentPage) && is_numeric($currentPage) && $currentPage > 0) {
			$page = mysql_real_escape_string($currentPage-1)*$objPerPage;
		}
		else $page = 0;
		
		$query = mysql_query("SELECT img.*, user.user as owner_name, cat.name as cat_name FROM `tentego_img` as img LEFT JOIN tablicacms_users as user ON user.id = img.owner LEFT JOIN tentego_img_cat as cat ON cat.id = img.cat WHERE `title` LIKE '%".$search."%' AND rel_date < ".date("YmdHis")." ORDER BY `rel_date` DESC, `date` DESC LIMIT ".$page.",".$objPerPage);
		$text = NULL;
		$return = NULL;
		while($img = @mysql_fetch_array($query)) {
			
			$return .= $ads->load('#AD[object]#');
			
			$object = null;
            foreach($plugins as $plugin)
            {
                if($plugin->type == $img['type'])
                {
                    $object = $plugin->onDisplay($img);
                    break;
                }
            }
			
			$text = preg_replace("/\[object url=(.*)\]/", $object, $pattern);
			$text = str_replace("#TITLE#", $img['title'], $text);
			$text = str_replace("#REWRITE-TITLE#", $rewrite->changeSigns($img['title']), $text);
			$text = str_replace("#ID#", $img['id'], $text);
			
			switch($sett->load('vote')) // 0 - procent, 1 - ilość
			{
				case 0:
					$vote_query = mysql_query("SELECT SUM(vote), COUNT(vote) as counted FROM `tentego_img_vote` WHERE `object_id`=".$img['id']);
                    $vote = mysql_fetch_array($vote_query);
					if($vote['counted']) {
						$proc = ceil($vote['SUM(vote)']/$vote['counted']*100);
						if($proc > 50) $text = str_replace("#VOTE#",'<span style="color:#06f000;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
						else if($proc >= 30 && $proc <= 50) $text = str_replace("#VOTE#",'<span style="color:#f3c81a;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
						else $text = str_replace("#VOTE#",'<span style="color:#f35118;" class="rate_'.$img['id'].'">'.$proc.'%</span>', $text);
					}
					else $text = str_replace("#VOTE#",'<span style="color:#fff;" class="rate_'.$img['id'].'">?%</span>',$text);
					break;
				case 1:
					$votes = mysql_query("SELECT SUM(IF(vote=1,1,0)) as up, SUM(IF(vote=0,1,0)) as down
											FROM `tentego_img_vote` WHERE `object_id`=".$img['id']." GROUP BY object_id");
					$vote = mysql_fetch_array($votes);
					
					$text = str_replace("#VOTE#",'<span class="rate_'.$img['id'].'"><span class="vote_up_color">'.$vote['up'].'</span> / <span class="vote_down_color">'.$vote['down'].'</span></span>', $text);
					break;
			}
			
			$date = new DateTime($img['date']);
			$text = str_replace("#DATE#", $date->format("Y.m.d H:i"), $text);
			
			//$owner = mysql_fetch_array(mysql_query("SELECT * FROM `tablicacms_users` WHERE `id`=".$img['owner']));
			$text = str_replace("#OWNER-ID#", $img['owner'], $text);
			$text = str_replace("#OWNER#", $img['owner_name'], $text);
			$text = str_replace("#REWRITE-OWNER#", $rewrite->changeSigns($img['owner_name']), $text);
			$text = str_replace("#SOURCE#", $img['source'], $text);
			
			# MODERATOR #
			
			$text = str_replace("#MOD_TOOLS#", $this->mod_tools($img), $text);
			
			# KONIEC MODERATORA #
			
			if($user->verifyLogin()) {
				$verify = mysql_num_rows(mysql_query("SELECT * FROM `tentego_img_fav` WHERE `object_id`=".$img['id']." AND `user_id`=".$user->userInfo('id')));
				if($verify) $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"$2",$text);
				else $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"$1",$text);
			}
			else $text = preg_replace('/\[FAV\=(.*)\|(.*)\]/',"",$text);

			$text = str_replace("#CATEGORY#", '<a href="'.$rewrite->categories($img['cat'],$rewrite->changeSigns($img['cat_name'])).'">'.$img['cat_name'].'</a>', $text);
			
			if($img['type'] == 'youtube') {
				$text = preg_replace("/\[video\=(.*)\]/", '$1', $text);
				parse_str(parse_url(htmlspecialchars_decode($img['src']), PHP_URL_QUERY), $src);
				$text = str_replace("#SCREENSHOT#", 'http://img.youtube.com/vi/'.$src['v'].'/hqdefault.jpg', $text);
			}
			else if($img['type'] == 'vimeo') {
				$text = preg_replace("/\[video\=(.*)\]/", '$1', $text);
				$url = parse_url($img['src'], PHP_URL_PATH);
				$xml = @simplexml_load_file("http://vimeo.com/api/v2/video".$url.".xml");
				$text = @str_replace("#SCREENSHOT#", $xml->video->thumbnail_large, $text);
			}
			else {
				$text = preg_replace("/\[video\=(.*)\]/", '', $text);
				$text = str_replace("#SCREENSHOT#", 'http://'.$this->host().'/upload/'.$img['src'], $text);
			}
			
			$return .= $text;
		}
		if(empty($return)) $return = "<div id=\"display_error\">".$kernel->lang['search']['notFound']."</div>";
		$page = $sett;
		return $return;
	}
	//Paginacja do wyszukiwarki
	function searchPagination($back_pattern, $pattern, $current_pattern, $next_pattern, $count, $current, $search) {
		global $kernel;
		if(empty($search)) return false;
		
		$search = mysql_real_escape_string(htmlspecialchars($search));
		
		$query = mysql_query("SELECT * FROM `tentego_img` WHERE `title` LIKE '%".$search."%' AND rel_date < ".date("YmdHis"));
		if($current<1 || !isset($current) || !is_numeric($current)) $current = 1;
		$i = ceil(@mysql_num_rows($query)/$count);
		$return = NULL;
		if($current > 1) $return .= str_replace("#",$current-1,$back_pattern);
		if($current > 6) $return .= str_replace("#",1,$pattern).' ... ';
		for(($current>5?$j=$current-5:$j=1);$j<$current;$j++) {
			$text = str_replace("#",$j,$pattern);
			$return .= $text;
		}
		$return .= str_replace("#", $current, $current_pattern);
		for($j=$current+1;($current+5<$i?$j<$current+6:$j<=$i);$j++) {
			$text = str_replace("#",$j,$pattern);
			$return .= $text;
		}
		if($current+5<$i) $return .= ' z '.str_replace("#", $i, $pattern);
		if($current < $i && $i > 1) $return .= str_replace("#",$current+1,$next_pattern);
		
		return $return;
	}
	//Obiekty użytkownika :)
	function getProfileObjects($pattern, $profileId) {
		global $kernel,$rewrite;
		$return = NULL;
		if(!empty($profileId) && is_numeric($profileId)) {
			$profileId = mysql_real_escape_string($profileId);
			$query = mysql_query("SELECT * FROM `tentego_img` WHERE `owner`=".$profileId." AND rel_date < ".date("YmdHis")." ORDER BY `id` DESC LIMIT 14"); 
		    $plugins = $this->loadPlugins();
			//This module is loading a thumbs of user uploaded objects like images and video.
			if(mysql_num_rows($query)>0) {
				while($img = mysql_fetch_array($query)) {

                    $image = null;
                    foreach($plugins as $plugin)
                    {
                        if($plugin->type == $img['type'])
                        {
                            $image = $plugin->onProfileDisplay($img);
                            break;
                        }
                    }
					
					$text = str_replace("#IMG#", $image, $pattern);
					$text = str_replace("#ID#", $img['id'], $text);
					$text = str_replace("#TITLE#", htmlspecialchars($img['title'],ENT_QUOTES), $text);
					$text = str_replace("#REWRITE-TITLE#", $rewrite->changeSigns($img['title']), $text);
					
					$return .= $text;
				}
				return $return;
			}
			else echo $kernel->lang['object']['empty'];
		}
	}
	//Ulubione
	function getFavorites($pattern, $profileId) {
		global $rewrite, $kernel;
		if(!empty($profileId) && is_numeric($profileId)) {
			$profileId = mysql_real_escape_string($profileId);
			$query = mysql_query("SELECT * FROM `tentego_img_fav` WHERE `user_id`=".$profileId." ORDER BY `id` DESC");
			$return = NULL;
			//Moduł wczytuje ulubione obiekty użytkownika.
			if(mysql_num_rows($query)>0) {
			    $plugins = $this->loadPlugins();
				while($fav = mysql_fetch_array($query)) {
					
					$img = @mysql_fetch_array(mysql_query("SELECT * FROM `tentego_img` WHERE `id`=".$fav['object_id']));
					if($img) {

                    $image = null;
                    foreach($plugins as $plugin)
                    {
                        if($plugin->type == $img['type'])
                        {
                            $image = $plugin->onProfileDisplay($img);
                            break;
                        }
                    }

						
						$text = str_replace("#IMG#", $image, $pattern);
						$text = str_replace("#ID#", $img['id'], $text);
						$text = str_replace("#TITLE#", htmlspecialchars($img['title'],ENT_QUOTES), $text);
						$text = str_replace("#REWRITE-TITLE#", $rewrite->changeSigns($img['title']), $text);
						
						$return .= $text;
					}
				}
				return $return;
			}
			else echo $kernel->lang['favorites']['empty'];
		}
	}
	
	//Pobranie informacji o obiekcie
    function getObjectInfo($what, $id) {
		$id = mysql_real_escape_string($id);
        $query = mysql_query("SELECT * FROM `tentego_img` WHERE `id`=".$id);
        if($query) {
            $img = mysql_fetch_array($query);
            return $img[$what];
        }
    } 
	
	////////////////////////////////////////////////////
	// CZESC ODPOWIEDZALNA ZA DODAWANIE ////////////////
	////////////////////////////////////////////////////
	function uploadObject()
    {
        $plugins = $this->loadPlugins();
        foreach($plugins as $plugin)
            $plugin->onSave();
    }

	//Lista kategorii w opcji rozwijanej

	function uploadForm($rewrite, $type) {
		global $kernel;
        $plugins = $this->loadPlugins();

        foreach($plugins as $key => $plugin)
        {
            if($key == $type)
            {
                $plugin->form();
                break;
            }
        }
	}

	//Znak wodny TOP SECRET!
	function watermark($file, $watermark, $dir) {
		require_once(ADMIN_DIRECTORY.'/lib/imageworkshop/ImageWorkshop.php');
		$info = pathinfo($file);

		if($info['extension'] != 'gif') {
			$imageLayer = ImageWorkshop::initFromPath($file);
			$watermarkLayer = ImageWorkshop::initFromPath($watermark);
			$imageLayer->addLayer(1, $watermarkLayer, 5, 5, "RB");

			$createFolders = false;
			$backgroundColor = null;
			$imageQuality = 100;

			$imageLayer->save($dir, $info['filename'].'.'.$info['extension'], $createFolders, $backgroundColor, $imageQuality);
		}

	}
	
	//mod_tools - zarządzanie obiektami przez moderatorów
	private function mod_tools($img) {
		global $user, $kernel;

		if($user->verifyLogin()) {
				if($user->userInfo('rank') <= 1) {
					$mod_tools = '<div class="mod_tools">';
					if($img['is_waiting'])
						$mod_tools .= '<a href="#" onClick="mod_move('.$img['id'].'); return false;">'.$kernel->lang['object']['mod.index'].'</a>';
					else
						$mod_tools .= '<a href="#" onClick="mod_move('.$img['id'].'); return false;">'.$kernel->lang['object']['mod.waiting'].'</a>';
					
					$mod_tools .= '<a href="#" onClick="mod_amove('.$img['id'].'); return false;">'.$kernel->lang['object']['mod.archive'].'</a>';
					$mod_tools .= '<a href="#" onClick="mod_del('.$img['id'].'); return false;">'.$kernel->lang['object']['mod.delete'].'</a>';
					
					
					$mod_tools .= '</div>';
					
					return $mod_tools;
				}
				else
					return NULL;
			}
			else
				return NULL;
	}
		
	
	//Wiadomosci szablonowe
	function msg($text, $type) {
		switch($type) {
			case 1: $msg = '<div class="msg error">'.$text.'</div>'; break;
			case 2: $msg = '<div class="msg alert">'.$text.'</div>'; break;
			case 3: $msg = '<div class="msg good">'.$text.'</div>';
		}
		echo $msg;
	}
	
	function FBcomments($pattern, $page_settings) {
		global $kernel;
		if($page_settings == 2) {
			$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
			$pattern = str_replace("#URL#",'http://'.$url,$pattern);
			echo $pattern; 
		}
	}
	
	function TTcomments($pattern, $contentList, $page_settings) {
		global $kernel, $user, $page;

		if($page_settings == 1)
		{
			if($user->userInfo('id') !== FALSE)
            {
    			if(isset($_POST['comment_submit']) && empty($_POST['captcha']) && !empty($_POST['comment_content']))
    			{
    				$query = mysql_query("SELECT `date` FROM `tentego_img_comments` WHERE `user_id` = ".$user->userInfo('id')." ORDER BY `id` DESC");
    				
    				if(count($fetch = mysql_fetch_array($query)) > 0)
    				{
						$subtraction = (strtotime(date("YmdHis")) - strtotime($fetch[0])) / (60);
						if($subtraction > 10) // wiecej niz 10 minut od ostatniego komentarza
						{
							mysql_query("INSERT INTO tentego_img_comments (user_id, img_id, content, date, visible) VALUES(".$user->userInfo('id').", ".intval($_GET['id']).", '".mysql_safe($_POST['comment_content'],true)."', '".date("YmdHis")."', ".($page->load('comments_moderate')?'0':'1').")");
    						header('Location: '.$_SERVER['REQUEST_URI']); exit;
						}	
					}
    			}
            }
			
            $query = mysql_query("SELECT comment.*, user.user, user.avatar, user.id as user_id FROM tentego_img_comments AS comment
            	LEFT JOIN tablicacms_users AS user
            	ON user.id = comment.user_id
            	WHERE comment.img_id = ".intval($_GET['id'])."
            	ORDER BY comment.id DESC");
			while($fetch = mysql_fetch_array($query))
			{
				$tmp = $contentList;
				
				if($user->verifyLogin() && $user->userInfo('rank') <= 1)
				{
					if($fetch['visible'] == 0)
						$tmp = str_replace('#HIDDEN#', ' hidden', $tmp);
				}
				else if($fetch['visible'] == 0)
					continue;
				
				$tmp = str_replace('#HIDDEN#', null, $tmp);
				$tmp = str_replace("#CONTENT#", $fetch['content'], $tmp);
				$tmp = str_replace("#USER#", $fetch['user'], $tmp);
				$tmp = str_replace("#ID#", $fetch['id'], $tmp);
				$tmp = str_replace("#USER_ID#", $fetch['user_id'], $tmp);
              	if($fetch['avatar'] != NULL) $avatar = '<img src="'.$kernel->host().'/'.$fetch['avatar'].'" alt="avatar"/>';
				else $avatar = '<img src="'.$kernel->host().'/upload/avatars/default.png" alt="avatar"/>';
				$tmp = str_replace("#USER_AVATAR#",$avatar, $tmp);
				$tmp = str_replace("#DATE#", date("d/m/Y H:i", strtotime($fetch['date'])), $tmp);
				if($user->verifyLogin()) {
					if($user->userInfo('rank') <= 1) {
						$tmp = str_replace("#DELETE#", '<a href="#" onclick="mod_comDel('.$fetch['id'].'); return false;">X</a> | <a href="#" onclick="mod_com'.($fetch['visible']?'Hide':'Show').'('.$fetch['id'].'); return false;">Pokaż/Ukryj</a>', $tmp);	
					} else $tmp = str_replace("#DELETE#", '', $tmp);
				} else $tmp = str_replace("#DELETE#", '', $tmp);
				echo $tmp;
			}
			
			if($user->verifyLogin())
			{
    			echo $pattern;
			}
		}
	}

    private function loadPlugins()
    {
        require_once("plugins/plugin.abstract.php");

        if($this->plugins != null) return $this->plugins;
        $path = ADMIN_DIRECTORY.'/apps/manager/plugins/*.plugin.php';
        $plugins = glob($path);

        foreach($plugins as $pluginPath)
        {
            $name = basename($pluginPath, ".plugin.php");
            $class = ucfirst($name).'Plugin';
            require_once($pluginPath);
            if(class_exists($class))
                $this->plugins[$name] = new $class();
        }

        return $this->plugins;
    }

    public function activePlugins()
    {
        if(isset($this->activePlugins)) return $this->activePlugins;
        $query = mysql_query("SELECT * FROM tentego_img_plugins");
        $return = array();
        while($fetch = mysql_fetch_array($query))
        {
            $return[] = $fetch['name'];
        }
        $this->activePlugins = $return;
        return $return;
    }

    public function ogTags()
    {
        $plugins = $this->loadPlugins();
        $id = intval($_GET['id']);
        $img = mysql_fetch_array(mysql_query("SELECT * FROM tentego_img WHERE id = ".$id));
        foreach($plugins as $plugin)
        {
            if($plugin->type == $img['type'])
            {
                return $plugin->ogTags($img);
                break;
            }
        }
    }


}
?>