CREATE TABLE IF NOT EXISTS `tentego_settings` (
  `id` int(66) NOT NULL AUTO_INCREMENT,
  `slogan` text NOT NULL,
  `logo` text NOT NULL,
  `description` text NOT NULL,
  `tags` text NOT NULL,
  `objects_per_page` int(3) NOT NULL DEFAULT '8',
  `object_title` int(1) NOT NULL DEFAULT '1',
  `theme` varchar(66) NOT NULL DEFAULT 'default',
  `comments` int(1) NOT NULL DEFAULT '1',
  `comments_moderate` int(1) NOT NULL DEFAULT '0',
  `register` int(1) NOT NULL DEFAULT '1',
  `max_file_size` int(66) NOT NULL DEFAULT '500',
  `ads` int(1) NOT NULL DEFAULT '1',
  `req_code` int(1) NOT NULL DEFAULT '1',
  `regulations` text,
  `title` varchar(66) NOT NULL,
  `watermark` varchar(200) NOT NULL DEFAULT '0',
  `guest_add` int(1) NOT NULL DEFAULT '0',
  `rewrite` int(1) NOT NULL DEFAULT '0',
  `vote` int(11) NOT NULL,
  `language` varchar(5) NOT NULL,
  `appid` varchar(20) NOT NULL,
  `secret` varchar(32) NOT NULL,
  `demot_bg_color` varchar(7) NOT NULL,
  `demot_border_color` varchar(7) NOT NULL,
  `demot_title_color` varchar(7) NOT NULL,
  `demot_text_color` varchar(7) NOT NULL,
  `google_analytics` text,
  `admin_captcha` INT(1) NOT NULL,
  `gif_watermark` INT(1) NOT NULL,
  `mail` tinyint(1) NOT NULL,
  `mail_host` text NOT NULL,
  `mail_port` int(11) NOT NULL,
  `mail_auth` tinyint(1) NOT NULL,
  `mail_user` varchar(128) NOT NULL,
  `mail_pass` varchar(128) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin2 AUTO_INCREMENT=1 ;
!@#
INSERT INTO `tentego_settings` (`id`, `slogan`, `logo`, `description`, `tags`, `objects_per_page`, `object_title`, `theme`, `comments`, `register`, `max_file_size`, `ads`, `req_code`, `regulations`, `title`, `watermark`, `guest_add`, `rewrite`, `vote`, `language`, `appid`, `secret`, `demot_bg_color`, `demot_border_color`, `demot_title_color`, `demot_text_color`) VALUES
(1, 'Share your emotions', '<i class="fa fa-comments"></i><span><strong>Ten</strong>Tego</span>', 'Multimedialny skrypt TenTego Premium.', 'tentego, premium, skrypt php, sruu, klocek, quik', 6, 1, 'default', 1, 1, 4000, 1, 1, '', 'TenTego 2', 'upload/watermark.png', 0, 1, 0, 'pl_PL', '', '', '#800040', '#ffffff', '#ffffff', '#ffffff');